--
-- PostgreSQL COEL database dump - version 0.8.3
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: ac_action_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_action_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_action_id_seq OWNER TO coeladmin;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: ac_action; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_action (
    id bigint DEFAULT nextval('ac_action_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    start_time integer NOT NULL,
    time_length double precision NOT NULL,
    alternation_type smallint NOT NULL,
    action_series_id bigint NOT NULL
);


ALTER TABLE public.ac_action OWNER TO coeladmin;

--
-- Name: ac_action_series_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_action_series_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_action_series_id_seq OWNER TO coeladmin;

--
-- Name: ac_action_series; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_action_series (
    id bigint DEFAULT nextval('ac_action_series_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(200) NOT NULL,
    species_set_id bigint NOT NULL,
    parent_id bigint,
    repetitions integer,
    periodicity integer,
    repeat_from integer,
    var_sequence_num integer NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint
);


ALTER TABLE public.ac_action_series OWNER TO coeladmin;

--
-- Name: ac_action_series_immutable_species_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_action_series_immutable_species_mapping (
    action_series_id bigint NOT NULL,
    species_id bigint NOT NULL
);


ALTER TABLE public.ac_action_series_immutable_species_mapping OWNER TO coeladmin;

--
-- Name: ac_action_var_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_action_var_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_action_var_id_seq OWNER TO coeladmin;

--
-- Name: ac_action_var; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_action_var (
    id bigint DEFAULT nextval('ac_action_var_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    variable_index integer NOT NULL,
    label character varying(30) NOT NULL,
    action_series_id bigint NOT NULL
);


ALTER TABLE public.ac_action_var OWNER TO coeladmin;

--
-- Name: ac_artificial_chemistry_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_artificial_chemistry_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_artificial_chemistry_id_seq OWNER TO coeladmin;

--
-- Name: ac_artificial_chemistry; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_artificial_chemistry (
    id bigint DEFAULT nextval('ac_artificial_chemistry_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(100) NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint,
    skin_compartment_id bigint NOT NULL,
    generated_by_spec_id bigint,
    simulation_config_id bigint NOT NULL
);


ALTER TABLE public.ac_artificial_chemistry OWNER TO coeladmin;

--
-- Name: ac_artificial_chemistry_spec_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_artificial_chemistry_spec_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_artificial_chemistry_spec_id_seq OWNER TO coeladmin;

--
-- Name: ac_artificial_chemistry_spec; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_artificial_chemistry_spec (
    id bigint DEFAULT nextval('ac_artificial_chemistry_spec_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    name character varying(100) NOT NULL,
    rate_constant_distribution_id bigint NOT NULL,
    species_forbidden_redundancy smallint NOT NULL,
    influx_ratio double precision,
    influx_rate_constant_distribution_id bigint,
    outflux_ratio double precision,
    outflux_all boolean NOT NULL,
    outflux_rate_constant_distribution_id bigint,
    outflux_non_reactive_rate_distribution_id bigint,
    constant_species_ratio double precision,
    species_num integer,
    reaction_num integer,
    reactants_per_reaction_number integer,
    products_per_reaction_number integer,
    catalysts_per_reaction_number integer,
    inhibitors_per_reaction_number integer,
    single_strands_num integer,
    upper_to_lower_strand_ratio double precision,
    complementary_strands_ratio double precision,
    upper_strand_partial_binding_distribution_id bigint,
    mirror_complementarity boolean,
    use_global_order boolean
);


ALTER TABLE public.ac_artificial_chemistry_spec OWNER TO coeladmin;

--
-- Name: ac_artificial_chemistry_spec_bound_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_artificial_chemistry_spec_bound_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_artificial_chemistry_spec_bound_id_seq OWNER TO coeladmin;

--
-- Name: ac_artificial_chemistry_spec_bound; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_artificial_chemistry_spec_bound (
    id bigint DEFAULT nextval('ac_artificial_chemistry_spec_bound_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(100) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    influx_ratio_lower_bound double precision NOT NULL,
    influx_ratio_upper_bound double precision NOT NULL,
    outflux_ratio_lower_bound double precision NOT NULL,
    outflux_ratio_upper_bound double precision NOT NULL,
    constant_species_ratio_lower_bound double precision NOT NULL,
    constant_species_ratio_upper_bound double precision NOT NULL,
    rate_constant_distribution_shape_lower_bound double precision NOT NULL,
    rate_constant_distribution_shape_upper_bound double precision NOT NULL,
    rate_constant_distribution_location_lower_bound double precision NOT NULL,
    rate_constant_distribution_location_upper_bound double precision NOT NULL,
    influx_rate_constant_distribution_shape_lower_bound double precision NOT NULL,
    influx_rate_constant_distribution_shape_upper_bound double precision NOT NULL,
    influx_rate_constant_distribution_location_lower_bound double precision NOT NULL,
    influx_rate_constant_distribution_location_upper_bound double precision NOT NULL,
    outflux_rate_constant_distribution_shape_lower_bound double precision NOT NULL,
    outflux_rate_constant_distribution_shape_upper_bound double precision NOT NULL,
    outflux_rate_constant_distribution_location_lower_bound double precision NOT NULL,
    outflux_rate_constant_distribution_location_upper_bound double precision NOT NULL,
    outflux_non_reactive_rate_distribution_shape_lower_bound double precision,
    outflux_non_reactive_rate_distribution_shape_upper_bound double precision,
    outflux_non_reactive_rate_distribution_location_lower_bound double precision,
    outflux_non_reactive_rate_distribution_location_upper_bound double precision,
    species_num_lower_bound integer,
    species_num_upper_bound integer,
    reaction_num_lower_bound integer,
    reaction_num_upper_bound integer,
    reactants_per_reaction_number_lower_bound integer,
    reactants_per_reaction_number_upper_bound integer,
    products_per_reaction_number_lower_bound integer,
    products_per_reaction_number_upper_bound integer,
    catalysts_per_reaction_number_lower_bound integer,
    catalysts_per_reaction_number_upper_bound integer,
    inhibitors_per_reaction_number_lower_bound integer,
    inhibitors_per_reaction_number_upper_bound integer,
    single_strands_num_lower_bound integer,
    single_strands_num_upper_bound integer,
    upper_to_lower_strand_ratio_lower_bound double precision,
    upper_to_lower_strand_ratio_upper_bound double precision,
    complementary_strands_ratio_lower_bound double precision,
    complementary_strands_ratio_upper_bound double precision,
    upper_strand_partial_binding_distribution_shape_lower_bound double precision,
    upper_strand_partial_binding_distribution_shape_upper_bound double precision,
    upper_strand_partial_binding_distribution_location_lower_bound double precision,
    upper_strand_partial_binding_distribution_location_upper_bound double precision,
    use_global_order boolean
);


ALTER TABLE public.ac_artificial_chemistry_spec_bound OWNER TO coeladmin;

--
-- Name: ac_cache_write_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_cache_write_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_cache_write_id_seq OWNER TO coeladmin;

--
-- Name: ac_cache_write; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_cache_write (
    id bigint DEFAULT nextval('ac_cache_write_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    action_id bigint NOT NULL,
    variable_id bigint NOT NULL,
    setting_fun_id bigint NOT NULL
);


ALTER TABLE public.ac_cache_write OWNER TO coeladmin;

--
-- Name: ac_compartment_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_compartment_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_compartment_id_seq OWNER TO coeladmin;

--
-- Name: ac_compartment; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_compartment (
    id bigint DEFAULT nextval('ac_compartment_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    label character varying(100) NOT NULL,
    reaction_set_id bigint NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint
);


ALTER TABLE public.ac_compartment OWNER TO coeladmin;

--
-- Name: ac_compartment_channel_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_compartment_channel_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_compartment_channel_id_seq OWNER TO coeladmin;

--
-- Name: ac_compartment_channel; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_compartment_channel (
    id bigint DEFAULT nextval('ac_compartment_channel_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    compartment_id bigint NOT NULL,
    source_species_id bigint NOT NULL,
    target_species_id bigint NOT NULL,
    direction smallint NOT NULL,
    permeability double precision NOT NULL
);


ALTER TABLE public.ac_compartment_channel OWNER TO coeladmin;

--
-- Name: ac_compartment_channel_group_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_compartment_channel_group_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_compartment_channel_group_id_seq OWNER TO coeladmin;

--
-- Name: ac_compartment_channel_group; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_compartment_channel_group (
    id bigint DEFAULT nextval('ac_compartment_channel_group_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    compartment_id bigint NOT NULL
);


ALTER TABLE public.ac_compartment_channel_group OWNER TO coeladmin;

--
-- Name: ac_compartment_channel_group_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_compartment_channel_group_mapping (
    group_id bigint NOT NULL,
    channel_id bigint NOT NULL
);


ALTER TABLE public.ac_compartment_channel_group_mapping OWNER TO coeladmin;

--
-- Name: ac_evaluated_action_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_evaluated_action_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_evaluated_action_id_seq OWNER TO coeladmin;

--
-- Name: ac_evaluated_action; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_evaluated_action (
    id bigint DEFAULT nextval('ac_evaluated_action_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    apply_time integer NOT NULL,
    action_id bigint NOT NULL,
    evaluated_action_series_id bigint NOT NULL
);


ALTER TABLE public.ac_evaluated_action OWNER TO coeladmin;

--
-- Name: ac_evaluated_action_series_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_evaluated_action_series_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_evaluated_action_series_id_seq OWNER TO coeladmin;

--
-- Name: ac_evaluated_action_series; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_evaluated_action_series (
    id bigint DEFAULT nextval('ac_evaluated_action_series_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    action_series_id bigint NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint
);


ALTER TABLE public.ac_evaluated_action_series OWNER TO coeladmin;

--
-- Name: ac_evaluated_performance_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_evaluated_performance_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_evaluated_performance_id_seq OWNER TO coeladmin;

--
-- Name: ac_evaluated_performance; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_evaluated_performance (
    id bigint DEFAULT nextval('ac_evaluated_performance_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    repetitions integer NOT NULL,
    random_rate_generation_num integer,
    perturbation_num integer,
    perturbation_strength double precision,
    action_series_id bigint NOT NULL,
    compartment_id bigint NOT NULL,
    simulation_config_id bigint NOT NULL,
    evaluation_id bigint NOT NULL,
    averaged_correct_rates double precision[] NOT NULL,
    length integer NOT NULL
);


ALTER TABLE public.ac_evaluated_performance OWNER TO coeladmin;

--
-- Name: ac_evaluated_run_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_evaluated_run_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_evaluated_run_id_seq OWNER TO coeladmin;

--
-- Name: ac_evaluated_run; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_evaluated_run (
    id bigint DEFAULT nextval('ac_evaluated_run_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    steps integer NOT NULL,
    evaluation_id bigint NOT NULL,
    evaluation_states smallint[] NOT NULL,
    translated_run_id bigint NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint NOT NULL
);


ALTER TABLE public.ac_evaluated_run OWNER TO coeladmin;

--
-- Name: ac_evaluated_species_action_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_evaluated_species_action_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_evaluated_species_action_id_seq OWNER TO coeladmin;

--
-- Name: ac_evaluated_species_action; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_evaluated_species_action (
    id bigint DEFAULT nextval('ac_evaluated_species_action_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    value double precision NOT NULL,
    species_action_id bigint NOT NULL,
    evaluated_action_id bigint NOT NULL
);


ALTER TABLE public.ac_evaluated_species_action OWNER TO coeladmin;

--
-- Name: ac_evaluation_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_evaluation_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_evaluation_id_seq OWNER TO coeladmin;

--
-- Name: ac_evaluation; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_evaluation (
    id bigint DEFAULT nextval('ac_evaluation_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(50) NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    translation_series_id bigint NOT NULL,
    periodic_translations_number integer NOT NULL,
    evaluation_fun_id bigint NOT NULL
);


ALTER TABLE public.ac_evaluation OWNER TO coeladmin;

--
-- Name: ac_parameter_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_parameter_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_parameter_id_seq OWNER TO coeladmin;

--
-- Name: ac_parameter; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_parameter (
    id bigint DEFAULT nextval('ac_parameter_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    variable_index integer NOT NULL,
    label character varying(30) NOT NULL,
    sort_order integer NOT NULL,
    evol_function_id bigint NOT NULL,
    parameter_set_id bigint NOT NULL
);


ALTER TABLE public.ac_parameter OWNER TO coeladmin;

--
-- Name: ac_parameter_set; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_parameter_set (
    id bigint NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(50) NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint
);


ALTER TABLE public.ac_parameter_set OWNER TO coeladmin;

--
-- Name: ac_performance_rate_constant_type_bound_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_performance_rate_constant_type_bound_mapping (
    random_rate_performance_id bigint NOT NULL,
    rate_constant_type_bound_id bigint NOT NULL
);


ALTER TABLE public.ac_performance_rate_constant_type_bound_mapping OWNER TO coeladmin;

--
-- Name: ac_range_translation_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_range_translation_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_range_translation_id_seq OWNER TO coeladmin;

--
-- Name: ac_range_translation; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_range_translation (
    id bigint DEFAULT nextval('ac_range_translation_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    from_time integer NOT NULL,
    to_time integer,
    translation_series_id bigint NOT NULL
);


ALTER TABLE public.ac_range_translation OWNER TO coeladmin;

--
-- Name: ac_rate_constant_type_bound_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_rate_constant_type_bound_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_rate_constant_type_bound_id_seq OWNER TO coeladmin;

--
-- Name: ac_rate_constant_type_bound; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_rate_constant_type_bound (
    id bigint DEFAULT nextval('ac_rate_constant_type_bound_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    created_by bigint NOT NULL,
    rate_constant_type smallint NOT NULL,
    lower_bound double precision NOT NULL,
    upper_bound double precision NOT NULL
);


ALTER TABLE public.ac_rate_constant_type_bound OWNER TO coeladmin;

--
-- Name: ac_reaction_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_reaction_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_reaction_id_seq OWNER TO coeladmin;

--
-- Name: ac_reaction; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_reaction (
    id bigint DEFAULT nextval('ac_reaction_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    label character varying(30) NOT NULL,
    priority integer,
    sort_order integer NOT NULL,
    reaction_set_id bigint NOT NULL,
    reaction_group_id bigint,
    forward_rate_function_id bigint,
    forward_rate_constants double precision[],
    reverse_rate_function_id bigint,
    reverse_rate_constants double precision[],
    col_catalysis_type smallint,
    col_inhibition_type smallint,
    enabled boolean NOT NULL
);


ALTER TABLE public.ac_reaction OWNER TO coeladmin;

--
-- Name: ac_reaction_group_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_reaction_group_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_reaction_group_id_seq OWNER TO coeladmin;

--
-- Name: ac_reaction_group; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_reaction_group (
    id bigint DEFAULT nextval('ac_reaction_group_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    label character varying(30) NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    reaction_set_id bigint NOT NULL
);


ALTER TABLE public.ac_reaction_group OWNER TO coeladmin;

--
-- Name: ac_reaction_set_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_reaction_set_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_reaction_set_id_seq OWNER TO coeladmin;

--
-- Name: ac_reaction_set; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_reaction_set (
    id bigint DEFAULT nextval('ac_reaction_set_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    label character varying(100) NOT NULL,
    species_set_id bigint NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint
);


ALTER TABLE public.ac_reaction_set OWNER TO coeladmin;

--
-- Name: ac_run_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_run_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_run_id_seq OWNER TO coeladmin;

--
-- Name: ac_run; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_run (
    id bigint DEFAULT nextval('ac_run_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    steps integer NOT NULL,
    run_time double precision NOT NULL,
    action_series_id bigint NOT NULL,
    ac_id bigint NOT NULL,
    evaluated_action_series_id bigint,
    create_time timestamp without time zone NOT NULL,
    created_by bigint
);


ALTER TABLE public.ac_run OWNER TO coeladmin;

--
-- Name: ac_simulation_config_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_simulation_config_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_simulation_config_id_seq OWNER TO coeladmin;

--
-- Name: ac_simulation_config; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_simulation_config (
    id bigint DEFAULT nextval('ac_simulation_config_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    name character varying(100) NOT NULL,
    ode_solver_type smallint NOT NULL,
    upper_threshold double precision,
    lower_threshold double precision,
    fixed_point_detection_precision double precision,
    fixed_point_detection_periodicity double precision,
    tolerance double precision,
    time_step double precision NOT NULL,
    influx_scale double precision
);


ALTER TABLE public.ac_simulation_config OWNER TO coeladmin;

--
-- Name: ac_species_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_species_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_species_id_seq OWNER TO coeladmin;

--
-- Name: ac_species; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_species (
    id bigint DEFAULT nextval('ac_species_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    variable_index integer NOT NULL,
    label character varying(30) NOT NULL,
    sort_order integer NOT NULL,
    structure character varying(100),
    species_set_id bigint NOT NULL
);


ALTER TABLE public.ac_species OWNER TO coeladmin;

--
-- Name: ac_species_action_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_species_action_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_species_action_id_seq OWNER TO coeladmin;

--
-- Name: ac_species_action; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_species_action (
    id bigint DEFAULT nextval('ac_species_action_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    action_id bigint NOT NULL,
    species_id bigint NOT NULL,
    setting_fun_id bigint NOT NULL
);


ALTER TABLE public.ac_species_action OWNER TO coeladmin;

--
-- Name: ac_species_history_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_species_history_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_species_history_id_seq OWNER TO coeladmin;

--
-- Name: ac_species_history; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_species_history (
    id bigint DEFAULT nextval('ac_species_history_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    configuration_vector double precision[] NOT NULL,
    species_id bigint NOT NULL,
    run_id bigint NOT NULL
);


ALTER TABLE public.ac_species_history OWNER TO coeladmin;

--
-- Name: ac_species_reaction_association_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_species_reaction_association_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_species_reaction_association_id_seq OWNER TO coeladmin;

--
-- Name: ac_species_reaction_association; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_species_reaction_association (
    id bigint DEFAULT nextval('ac_species_reaction_association_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    species_id bigint NOT NULL,
    stoichiometric_factor double precision,
    reaction_id bigint NOT NULL,
    assoc_type smallint NOT NULL,
    pos integer
);


ALTER TABLE public.ac_species_reaction_association OWNER TO coeladmin;

--
-- Name: ac_species_set_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_species_set_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_species_set_id_seq OWNER TO coeladmin;

--
-- Name: ac_species_set; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_species_set (
    id bigint DEFAULT nextval('ac_species_set_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(50) NOT NULL,
    sequence_num integer NOT NULL,
    parent_set bigint,
    create_time timestamp without time zone NOT NULL,
    created_by bigint
);


ALTER TABLE public.ac_species_set OWNER TO coeladmin;

--
-- Name: ac_sub_compartment_association_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_sub_compartment_association_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_sub_compartment_association_id_seq OWNER TO coeladmin;

--
-- Name: ac_sub_compartment_association; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_sub_compartment_association (
    id bigint DEFAULT nextval('ac_sub_compartment_association_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    parent_id bigint NOT NULL,
    sub_id bigint NOT NULL,
    pos integer NOT NULL
);


ALTER TABLE public.ac_sub_compartment_association OWNER TO coeladmin;

--
-- Name: ac_translated_run_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_translated_run_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_translated_run_id_seq OWNER TO coeladmin;

--
-- Name: ac_translated_run; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_translated_run (
    id bigint DEFAULT nextval('ac_translated_run_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    steps integer NOT NULL,
    translation_series_id bigint NOT NULL,
    run_id bigint NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint
);


ALTER TABLE public.ac_translated_run OWNER TO coeladmin;

--
-- Name: ac_translation_item_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_translation_item_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_translation_item_id_seq OWNER TO coeladmin;

--
-- Name: ac_translation_item; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_translation_item (
    id bigint DEFAULT nextval('ac_translation_item_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    translation_id bigint NOT NULL,
    translation_var_id bigint NOT NULL,
    translation_fun_id bigint NOT NULL
);


ALTER TABLE public.ac_translation_item OWNER TO coeladmin;

--
-- Name: ac_translation_item_history_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_translation_item_history_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_translation_item_history_id_seq OWNER TO coeladmin;

--
-- Name: ac_translation_item_history; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_translation_item_history (
    id bigint DEFAULT nextval('ac_translation_item_history_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    translation_var_id bigint NOT NULL,
    sequence double precision[] NOT NULL,
    translated_run_id bigint NOT NULL
);


ALTER TABLE public.ac_translation_item_history OWNER TO coeladmin;

--
-- Name: ac_translation_series_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_translation_series_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_translation_series_id_seq OWNER TO coeladmin;

--
-- Name: ac_translation_series; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_translation_series (
    id bigint DEFAULT nextval('ac_translation_series_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(50) NOT NULL,
    species_set_id bigint NOT NULL,
    repetitions integer,
    periodicity integer,
    repeat_from integer,
    create_time timestamp without time zone NOT NULL,
    created_by bigint,
    var_sequence_num integer NOT NULL,
    variables_referenced_flag boolean NOT NULL
);


ALTER TABLE public.ac_translation_series OWNER TO coeladmin;

--
-- Name: ac_translation_var_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE ac_translation_var_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ac_translation_var_id_seq OWNER TO coeladmin;

--
-- Name: ac_translation_var; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE ac_translation_var (
    id bigint DEFAULT nextval('ac_translation_var_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    variable_index integer NOT NULL,
    label character varying(30) NOT NULL,
    translation_series_id bigint NOT NULL
);


ALTER TABLE public.ac_translation_var OWNER TO coeladmin;

--
-- Name: acl_class; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE acl_class (
    id bigint NOT NULL,
    class character varying(255) NOT NULL
);


ALTER TABLE public.acl_class OWNER TO coeladmin;

--
-- Name: acl_entry; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE acl_entry (
    id bigint NOT NULL,
    ace_order integer NOT NULL,
    acl_object_identity bigint NOT NULL,
    audit_failure boolean NOT NULL,
    audit_success boolean NOT NULL,
    granting boolean NOT NULL,
    mask integer NOT NULL,
    sid bigint NOT NULL
);


ALTER TABLE public.acl_entry OWNER TO coeladmin;

--
-- Name: acl_object_identity; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE acl_object_identity (
    id bigint NOT NULL,
    object_id_class bigint NOT NULL,
    entries_inheriting boolean NOT NULL,
    object_id_identity bigint NOT NULL,
    owner_sid bigint,
    parent_object bigint
);


ALTER TABLE public.acl_object_identity OWNER TO coeladmin;

--
-- Name: acl_sid; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE acl_sid (
    id bigint NOT NULL,
    principal boolean NOT NULL,
    sid character varying(255) NOT NULL
);


ALTER TABLE public.acl_sid OWNER TO coeladmin;

--
-- Name: blog_post; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE blog_post (
    id bigint NOT NULL,
    version bigint NOT NULL,
    active boolean NOT NULL,
    author bigint NOT NULL,
    content character varying(5000) NOT NULL,
    date_created timestamp without time zone NOT NULL,
    last_updated timestamp without time zone NOT NULL,
    slug character varying(255) NOT NULL,
    title character varying(255) NOT NULL
);


ALTER TABLE public.blog_post OWNER TO coeladmin;

--
-- Name: blog_post_tags; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE blog_post_tags (
    post_id bigint,
    tags_string character varying(255),
    tags_idx integer
);


ALTER TABLE public.blog_post_tags OWNER TO coeladmin;

--
-- Name: dyn_multi_analysis_result_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE dyn_multi_analysis_result_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.dyn_multi_analysis_result_id_seq OWNER TO coeladmin;

--
-- Name: dyn_multi_analysis_result; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE dyn_multi_analysis_result (
    id bigint DEFAULT nextval('dyn_multi_analysis_result_id_seq'::regclass) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    spec_id bigint NOT NULL,
    ac_id bigint
);


ALTER TABLE public.dyn_multi_analysis_result OWNER TO coeladmin;

--
-- Name: dyn_multi_analysis_spec_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE dyn_multi_analysis_spec_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.dyn_multi_analysis_spec_id_seq OWNER TO coeladmin;

--
-- Name: dyn_multi_analysis_spec; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE dyn_multi_analysis_spec (
    id bigint DEFAULT nextval('dyn_multi_analysis_spec_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    name character varying(200) NOT NULL,
    single_run_spec_id bigint NOT NULL,
    initial_state_distribution_id bigint NOT NULL,
    run_num integer NOT NULL
);


ALTER TABLE public.dyn_multi_analysis_spec OWNER TO coeladmin;

--
-- Name: dyn_single_analysis_result_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE dyn_single_analysis_result_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.dyn_single_analysis_result_id_seq OWNER TO coeladmin;

--
-- Name: dyn_single_analysis_result; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE dyn_single_analysis_result (
    id bigint DEFAULT nextval('dyn_single_analysis_result_id_seq'::regclass) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    initial_state double precision[] NOT NULL,
    spatial_correlations_id bigint NOT NULL,
    time_correlations_id bigint NOT NULL,
    neighbor_time_correlations double precision[] NOT NULL,
    spatial_stationary_points_per_time_id bigint NOT NULL,
    time_stationary_points_per_time_id bigint NOT NULL,
    spatial_cumulative_diff_per_time_id bigint NOT NULL,
    time_cumulative_diff_per_time_id bigint NOT NULL,
    spatial_nonlinearity_errors_id bigint NOT NULL,
    time_nonlinearity_errors_id bigint NOT NULL,
    final_fixed_points_detected boolean[] NOT NULL,
    mean_fixed_points_detected double precision[] NOT NULL,
    unbound_values_detected boolean[] NOT NULL,
    final_lyapunov_exponents double precision[] NOT NULL,
    derrida_results_id bigint NOT NULL,
    multi_run_result_id bigint
);


ALTER TABLE public.dyn_single_analysis_result OWNER TO coeladmin;

--
-- Name: dyn_single_analysis_spec_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE dyn_single_analysis_spec_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.dyn_single_analysis_spec_id_seq OWNER TO coeladmin;

--
-- Name: dyn_single_analysis_spec; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE dyn_single_analysis_spec (
    id bigint DEFAULT nextval('dyn_single_analysis_spec_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    name character varying(200) NOT NULL,
    time_step_length double precision NOT NULL,
    iterations integer NOT NULL,
    lyapunov_perturbation_strength double precision NOT NULL,
    derrida_perturbation_strength double precision NOT NULL,
    derrida_time_length double precision NOT NULL,
    time_step_to_filter integer NOT NULL,
    fixed_point_detection_precision double precision NOT NULL,
    derrida_resolution double precision NOT NULL
);


ALTER TABLE public.dyn_single_analysis_spec OWNER TO coeladmin;

--
-- Name: dyn_stats_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE dyn_stats_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.dyn_stats_id_seq OWNER TO coeladmin;

--
-- Name: dyn_stats; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE dyn_stats (
    id bigint DEFAULT nextval('dyn_stats_id_seq'::regclass) NOT NULL,
    index double precision NOT NULL,
    mean double precision NOT NULL,
    standard_deviation double precision NOT NULL,
    min double precision NOT NULL,
    max double precision NOT NULL,
    seq_id bigint
);


ALTER TABLE public.dyn_stats OWNER TO coeladmin;

--
-- Name: dyn_stats_seq_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE dyn_stats_seq_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.dyn_stats_seq_id_seq OWNER TO coeladmin;

--
-- Name: dyn_stats_seq; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE dyn_stats_seq (
    id bigint DEFAULT nextval('dyn_stats_seq_id_seq'::regclass) NOT NULL,
    time_created timestamp without time zone NOT NULL
);


ALTER TABLE public.dyn_stats_seq OWNER TO coeladmin;

--
-- Name: evo_ac_interaction_variable_assignment_bound_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE evo_ac_interaction_variable_assignment_bound_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.evo_ac_interaction_variable_assignment_bound_id_seq OWNER TO coeladmin;

--
-- Name: evo_ac_interaction_variable_assignment_bound; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ac_interaction_variable_assignment_bound (
    id bigint DEFAULT nextval('evo_ac_interaction_variable_assignment_bound_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    evo_task_id bigint NOT NULL,
    lower_bound double precision NOT NULL,
    upper_bound double precision NOT NULL
);


ALTER TABLE public.evo_ac_interaction_variable_assignment_bound OWNER TO coeladmin;

--
-- Name: evo_ac_interaction_variable_assignment_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ac_interaction_variable_assignment_mapping (
    evo_ac_variable_bound_id bigint NOT NULL,
    variable_assignment_id bigint NOT NULL
);


ALTER TABLE public.evo_ac_interaction_variable_assignment_mapping OWNER TO coeladmin;

--
-- Name: evo_ac_species_assignment_bound_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE evo_ac_species_assignment_bound_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.evo_ac_species_assignment_bound_id_seq OWNER TO coeladmin;

--
-- Name: evo_ac_species_assignment_bound; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ac_species_assignment_bound (
    id bigint DEFAULT nextval('evo_ac_species_assignment_bound_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    evo_task_id bigint NOT NULL,
    lower_bound double precision NOT NULL,
    upper_bound double precision NOT NULL
);


ALTER TABLE public.evo_ac_species_assignment_bound OWNER TO coeladmin;

--
-- Name: evo_ac_species_assignment_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ac_species_assignment_mapping (
    evo_ac_species_bound_id bigint NOT NULL,
    species_assignment_id bigint NOT NULL
);


ALTER TABLE public.evo_ac_species_assignment_mapping OWNER TO coeladmin;

--
-- Name: evo_ac_task_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE evo_ac_task_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.evo_ac_task_id_seq OWNER TO coeladmin;

--
-- Name: evo_ac_task; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ac_task (
    id bigint DEFAULT nextval('evo_ac_task_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    name character varying(200) NOT NULL,
    task_type smallint NOT NULL,
    ga_setting_id bigint NOT NULL,
    as_repetitions integer,
    ac_id bigint,
    ac_evaluation_id bigint,
    run_steps integer,
    last_eval_steps_to_count integer,
    spec_id bigint,
    spec_bound_id bigint,
    sim_config_id bigint,
    multi_run_analysis_spec_id bigint,
    network_id bigint,
    network_evaluation_id bigint,
    fixed_point_detection_periodicity double precision
);


ALTER TABLE public.evo_ac_task OWNER TO coeladmin;

--
-- Name: evo_ac_task_action_series_mapping_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE evo_ac_task_action_series_mapping_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.evo_ac_task_action_series_mapping_id_seq OWNER TO coeladmin;

--
-- Name: evo_ac_task_action_series_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ac_task_action_series_mapping (
    id bigint DEFAULT nextval('evo_ac_task_action_series_mapping_id_seq'::regclass) NOT NULL,
    evo_ac_task_id bigint NOT NULL,
    action_series_id bigint NOT NULL
);


ALTER TABLE public.evo_ac_task_action_series_mapping OWNER TO coeladmin;

--
-- Name: evo_ac_task_rate_constant_type_bound_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ac_task_rate_constant_type_bound_mapping (
    evo_ac_task_id bigint NOT NULL,
    rate_constant_type_bound_id bigint NOT NULL
);


ALTER TABLE public.evo_ac_task_rate_constant_type_bound_mapping OWNER TO coeladmin;

--
-- Name: evo_ac_task_reaction_group_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ac_task_reaction_group_mapping (
    evo_ac_task_id bigint NOT NULL,
    reaction_group_id bigint NOT NULL
);


ALTER TABLE public.evo_ac_task_reaction_group_mapping OWNER TO coeladmin;

--
-- Name: evo_ac_task_reaction_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ac_task_reaction_mapping (
    evo_ac_task_id bigint NOT NULL,
    reaction_id bigint NOT NULL
);


ALTER TABLE public.evo_ac_task_reaction_mapping OWNER TO coeladmin;

--
-- Name: evo_chromosome_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE evo_chromosome_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.evo_chromosome_id_seq OWNER TO coeladmin;

--
-- Name: evo_chromosome; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_chromosome (
    id bigint DEFAULT nextval('evo_chromosome_id_seq'::regclass) NOT NULL,
    score double precision NOT NULL,
    fitness double precision,
    population_id bigint,
    array_code character varying[] NOT NULL,
    type_name character varying(100) NOT NULL
);


ALTER TABLE public.evo_chromosome OWNER TO coeladmin;

--
-- Name: evo_ga_setting_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE evo_ga_setting_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.evo_ga_setting_id_seq OWNER TO coeladmin;

--
-- Name: evo_ga_setting; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_ga_setting (
    id bigint DEFAULT nextval('evo_ga_setting_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    create_time timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    name character varying(200) NOT NULL,
    elite_number integer,
    population_size integer NOT NULL,
    cond_mutation boolean NOT NULL,
    cond_crossover boolean NOT NULL,
    crossover_prob double precision NOT NULL,
    crossover_type smallint NOT NULL,
    mutation_prob double precision NOT NULL,
    mutation_per_bit_prob double precision,
    mutation_type smallint NOT NULL,
    bit_mutation_type smallint NOT NULL,
    pertrub_mutation_strength double precision,
    selection_type smallint NOT NULL,
    fitness_renorm_type smallint,
    generation_limit integer NOT NULL,
    max_value_flag boolean NOT NULL
);


ALTER TABLE public.evo_ga_setting OWNER TO coeladmin;

--
-- Name: evo_net_task_action_series_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_net_task_action_series_mapping (
    evo_task_id bigint NOT NULL,
    action_series_id bigint NOT NULL
);


ALTER TABLE public.evo_net_task_action_series_mapping OWNER TO coeladmin;

--
-- Name: evo_population_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE evo_population_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.evo_population_id_seq OWNER TO coeladmin;

--
-- Name: evo_population; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_population (
    id bigint DEFAULT nextval('evo_population_id_seq'::regclass) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    generation integer NOT NULL,
    min_score double precision,
    mean_score double precision,
    max_score double precision,
    min_fitness double precision,
    mean_fitness double precision,
    max_fitness double precision,
    best_chromosome_id bigint,
    evo_run_id bigint NOT NULL
);


ALTER TABLE public.evo_population OWNER TO coeladmin;

--
-- Name: evo_run_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE evo_run_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.evo_run_id_seq OWNER TO coeladmin;

--
-- Name: evo_run; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE evo_run (
    id bigint DEFAULT nextval('evo_run_id_seq'::regclass) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    evo_task_id bigint NOT NULL,
    init_chromosome_id bigint
);


ALTER TABLE public.evo_run OWNER TO coeladmin;

--
-- Name: fun_expression; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE fun_expression (
    id bigint NOT NULL,
    content character varying(256) NOT NULL
);


ALTER TABLE public.fun_expression OWNER TO coeladmin;

--
-- Name: fun_function_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE fun_function_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.fun_function_id_seq OWNER TO coeladmin;

--
-- Name: fun_function; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE fun_function (
    id bigint DEFAULT nextval('fun_function_id_seq'::regclass) NOT NULL,
    arity integer,
    fun_type integer NOT NULL,
    input_clazz_name character varying(40),
    output_clazz_name character varying(40),
    parent_id bigint
);


ALTER TABLE public.fun_function OWNER TO coeladmin;

--
-- Name: fun_random_distribution_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE fun_random_distribution_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.fun_random_distribution_id_seq OWNER TO coeladmin;

--
-- Name: fun_random_distribution; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE fun_random_distribution (
    id bigint DEFAULT nextval('fun_random_distribution_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    "from" double precision,
    "to" double precision,
    location double precision,
    shape double precision,
    type smallint,
    value_type_name character varying(100),
    probabilities double precision[],
    values_as_string character varying[]
);


ALTER TABLE public.fun_random_distribution OWNER TO coeladmin;

--
-- Name: fun_transition_table; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE fun_transition_table (
    id bigint NOT NULL,
    outputs character varying[] NOT NULL
);


ALTER TABLE public.fun_transition_table OWNER TO coeladmin;

--
-- Name: hibernate_sequence; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE hibernate_sequence
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.hibernate_sequence OWNER TO coeladmin;

--
-- Name: net_action_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_action_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_action_id_seq OWNER TO coeladmin;

--
-- Name: net_action; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_action (
    id bigint DEFAULT nextval('net_action_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    start_time integer NOT NULL,
    time_length double precision NOT NULL,
    alternation_type smallint NOT NULL,
    action_series_id bigint NOT NULL,
    state_distribution_id bigint
);


ALTER TABLE public.net_action OWNER TO coeladmin;

--
-- Name: net_action_series_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_action_series_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_action_series_id_seq OWNER TO coeladmin;

--
-- Name: net_action_series; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_action_series (
    id bigint DEFAULT nextval('net_action_series_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(200) NOT NULL,
    repetitions integer,
    periodicity integer,
    repeat_from integer,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL
);


ALTER TABLE public.net_action_series OWNER TO coeladmin;

--
-- Name: net_damage_spreading_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_damage_spreading_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_damage_spreading_id_seq OWNER TO coeladmin;

--
-- Name: net_damage_spreading; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_damage_spreading (
    id bigint DEFAULT nextval('net_damage_spreading_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    repetitions integer NOT NULL,
    run_time integer NOT NULL,
    network_id bigint NOT NULL,
    result_stats_seq_id bigint NOT NULL
);


ALTER TABLE public.net_damage_spreading OWNER TO coeladmin;

--
-- Name: net_derrida_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_derrida_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_derrida_id_seq OWNER TO coeladmin;

--
-- Name: net_derrida; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_derrida (
    id bigint DEFAULT nextval('net_derrida_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    repetitions integer NOT NULL,
    run_time integer NOT NULL,
    network_id bigint NOT NULL,
    result_stats_seq_id bigint NOT NULL
);


ALTER TABLE public.net_derrida OWNER TO coeladmin;

--
-- Name: net_evaluation_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_evaluation_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_evaluation_id_seq OWNER TO coeladmin;

--
-- Name: net_evaluation; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_evaluation (
    id bigint DEFAULT nextval('net_evaluation_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(100) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    evaluation_fun_id bigint NOT NULL,
    var_sequence_num integer NOT NULL
);


ALTER TABLE public.net_evaluation OWNER TO coeladmin;

--
-- Name: net_evaluation_item_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_evaluation_item_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_evaluation_item_id_seq OWNER TO coeladmin;

--
-- Name: net_evaluation_item; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_evaluation_item (
    id bigint DEFAULT nextval('net_evaluation_item_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    evaluation_id bigint NOT NULL,
    evaluation_var_id bigint NOT NULL,
    eval_fun_id bigint NOT NULL
);


ALTER TABLE public.net_evaluation_item OWNER TO coeladmin;

--
-- Name: net_evaluation_var_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_evaluation_var_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_evaluation_var_id_seq OWNER TO coeladmin;

--
-- Name: net_evaluation_var; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_evaluation_var (
    id bigint DEFAULT nextval('net_evaluation_var_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    variable_index integer NOT NULL,
    label character varying(30) NOT NULL,
    evaluation_id bigint NOT NULL
);


ALTER TABLE public.net_evaluation_var OWNER TO coeladmin;

--
-- Name: net_function_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_function_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_function_id_seq OWNER TO coeladmin;

--
-- Name: net_function; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_function (
    id bigint DEFAULT nextval('net_function_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(50) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint,
    index_ integer,
    parent_id bigint,
    function_id bigint,
    states_weights_integrator_type smallint,
    multi_component_updater_type smallint NOT NULL
);


ALTER TABLE public.net_function OWNER TO coeladmin;

--
-- Name: net_layer_topology_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_layer_topology_mapping (
    parent_id bigint NOT NULL,
    layer_id bigint NOT NULL,
    pos integer NOT NULL
);


ALTER TABLE public.net_layer_topology_mapping OWNER TO coeladmin;

--
-- Name: net_network_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_network_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_network_id_seq OWNER TO coeladmin;

--
-- Name: net_network; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_network (
    id bigint DEFAULT nextval('net_network_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(60) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint,
    topology_id bigint NOT NULL,
    function_id bigint NOT NULL,
    weight_setting_id bigint
);


ALTER TABLE public.net_network OWNER TO coeladmin;

--
-- Name: net_performance_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_performance_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_performance_id_seq OWNER TO coeladmin;

--
-- Name: net_performance; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_performance (
    id bigint DEFAULT nextval('net_performance_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    repetitions integer NOT NULL,
    run_time integer NOT NULL,
    action_series_id bigint NOT NULL,
    network_id bigint NOT NULL,
    evaluation_id bigint NOT NULL,
    result_stats_id bigint,
    size_from integer,
    size_to integer,
    result_stats_seq_id bigint
);


ALTER TABLE public.net_performance OWNER TO coeladmin;

--
-- Name: net_spatial_neighbor_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_spatial_neighbor_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_spatial_neighbor_id_seq OWNER TO coeladmin;

--
-- Name: net_spatial_neighbor; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_spatial_neighbor (
    id bigint DEFAULT nextval('net_spatial_neighbor_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    index_ integer NOT NULL,
    coordinate_diffs integer[] NOT NULL,
    parent_id bigint NOT NULL
);


ALTER TABLE public.net_spatial_neighbor OWNER TO coeladmin;

--
-- Name: net_spatial_neighborhood_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_spatial_neighborhood_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_spatial_neighborhood_id_seq OWNER TO coeladmin;

--
-- Name: net_spatial_neighborhood; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_spatial_neighborhood (
    id bigint DEFAULT nextval('net_spatial_neighborhood_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(60) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint
);


ALTER TABLE public.net_spatial_neighborhood OWNER TO coeladmin;

--
-- Name: net_spatial_topology; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_spatial_topology (
    topology_id bigint NOT NULL,
    sizes integer[] NOT NULL,
    torus_flag boolean NOT NULL,
    metrics_type smallint,
    radius integer,
    its_own_neighor boolean NOT NULL,
    neighborhood_id bigint
);


ALTER TABLE public.net_spatial_topology OWNER TO coeladmin;

--
-- Name: net_template_topology; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_template_topology (
    topology_id bigint NOT NULL,
    nodes_num integer,
    layers_num integer,
    nodes_per_layer integer,
    generate_bias boolean NOT NULL,
    all_edges boolean NOT NULL,
    inner_layer_all_edges boolean NOT NULL,
    in_edges_num integer,
    inner_layer_in_edges_num integer,
    allow_self_edges boolean NOT NULL,
    allow_multi_edges boolean NOT NULL
);


ALTER TABLE public.net_template_topology OWNER TO coeladmin;

--
-- Name: net_topology_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_topology_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_topology_id_seq OWNER TO coeladmin;

--
-- Name: net_topology; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_topology (
    id bigint DEFAULT nextval('net_topology_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(60) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint,
    type integer NOT NULL
);


ALTER TABLE public.net_topology OWNER TO coeladmin;

--
-- Name: net_weight_setting_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE net_weight_setting_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_weight_setting_id_seq OWNER TO coeladmin;

--
-- Name: net_weight_setting; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE net_weight_setting (
    id bigint DEFAULT nextval('net_weight_setting_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(50) NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint,
    type integer NOT NULL,
    index_ integer NOT NULL,
    parent_id bigint,
    weights double precision[],
    setting_order smallint,
    random_distribution_id bigint
);


ALTER TABLE public.net_weight_setting OWNER TO coeladmin;

--
-- Name: task_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE task_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.task_id_seq OWNER TO coeladmin;

--
-- Name: task; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE task (
    id bigint DEFAULT nextval('task_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    time_created timestamp without time zone NOT NULL,
    created_by bigint NOT NULL,
    repeat boolean,
    jobs_in_sequence_num integer,
    max_jobs_in_parallel_num integer
);


ALTER TABLE public.task OWNER TO coeladmin;

--
-- Name: task_evo_run; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE task_evo_run (
    task_id bigint NOT NULL,
    evo_task_id bigint NOT NULL,
    population_content_store_option smallint NOT NULL,
    population_selection smallint NOT NULL,
    auto_save boolean NOT NULL
);


ALTER TABLE public.task_evo_run OWNER TO coeladmin;

--
-- Name: um_role_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE um_role_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.um_role_id_seq OWNER TO coeladmin;

--
-- Name: um_role; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE um_role (
    id bigint DEFAULT nextval('um_role_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    name character varying(20) NOT NULL,
    description character varying(100)
);


ALTER TABLE public.um_role OWNER TO coeladmin;

--
-- Name: um_user_id_seq; Type: SEQUENCE; Schema: public; Owner: coeladmin
--

CREATE SEQUENCE um_user_id_seq
    START WITH 1000
    INCREMENT BY 1
    MINVALUE 1000
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.um_user_id_seq OWNER TO coeladmin;

--
-- Name: um_user; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE um_user (
    id bigint DEFAULT nextval('um_user_id_seq'::regclass) NOT NULL,
    ol_version bigint NOT NULL,
    username character varying(20) NOT NULL,
    password character varying(100) NOT NULL,
    password_hint character varying(50),
    firstname character varying(20) NOT NULL,
    lastname character varying(30) NOT NULL,
    affiliation character varying(80) NOT NULL,
    intended_use character varying(1000) NOT NULL,
    email character varying(40) NOT NULL,
    phone_number character varying(25),
    website character varying(50),
    address character varying(150),
    enabled boolean NOT NULL,
    account_expired boolean NOT NULL,
    account_locked boolean NOT NULL,
    credentials_expired boolean NOT NULL,
    about_me character varying(500),
    create_time timestamp without time zone NOT NULL,
    change_time timestamp without time zone
);


ALTER TABLE public.um_user OWNER TO coeladmin;

--
-- Name: um_user_role_mapping; Type: TABLE; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE TABLE um_user_role_mapping (
    user_id bigint NOT NULL,
    role_id bigint NOT NULL
);


ALTER TABLE public.um_user_role_mapping OWNER TO coeladmin;

--
-- Data for Name: ac_action; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_action (id, ol_version, start_time, time_length, alternation_type, action_series_id) FROM stdin;
\.


--
-- Name: ac_action_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_action_id_seq', 1000, false);


--
-- Data for Name: ac_action_series; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_action_series (id, ol_version, name, species_set_id, parent_id, repetitions, periodicity, repeat_from, var_sequence_num, create_time, created_by) FROM stdin;
\.


--
-- Name: ac_action_series_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_action_series_id_seq', 1000, false);


--
-- Data for Name: ac_action_series_immutable_species_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_action_series_immutable_species_mapping (action_series_id, species_id) FROM stdin;
\.


--
-- Data for Name: ac_action_var; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_action_var (id, ol_version, variable_index, label, action_series_id) FROM stdin;
\.


--
-- Name: ac_action_var_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_action_var_id_seq', 1000, false);


--
-- Data for Name: ac_artificial_chemistry; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_artificial_chemistry (id, ol_version, name, create_time, created_by, skin_compartment_id, generated_by_spec_id, simulation_config_id) FROM stdin;
\.


--
-- Name: ac_artificial_chemistry_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_artificial_chemistry_id_seq', 1000, false);


--
-- Data for Name: ac_artificial_chemistry_spec; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_artificial_chemistry_spec (id, ol_version, time_created, created_by, name, rate_constant_distribution_id, species_forbidden_redundancy, influx_ratio, influx_rate_constant_distribution_id, outflux_ratio, outflux_all, outflux_rate_constant_distribution_id, outflux_non_reactive_rate_distribution_id, constant_species_ratio, species_num, reaction_num, reactants_per_reaction_number, products_per_reaction_number, catalysts_per_reaction_number, inhibitors_per_reaction_number, single_strands_num, upper_to_lower_strand_ratio, complementary_strands_ratio, upper_strand_partial_binding_distribution_id, mirror_complementarity, use_global_order) FROM stdin;
\.


--
-- Data for Name: ac_artificial_chemistry_spec_bound; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_artificial_chemistry_spec_bound (id, ol_version, name, time_created, created_by, influx_ratio_lower_bound, influx_ratio_upper_bound, outflux_ratio_lower_bound, outflux_ratio_upper_bound, constant_species_ratio_lower_bound, constant_species_ratio_upper_bound, rate_constant_distribution_shape_lower_bound, rate_constant_distribution_shape_upper_bound, rate_constant_distribution_location_lower_bound, rate_constant_distribution_location_upper_bound, influx_rate_constant_distribution_shape_lower_bound, influx_rate_constant_distribution_shape_upper_bound, influx_rate_constant_distribution_location_lower_bound, influx_rate_constant_distribution_location_upper_bound, outflux_rate_constant_distribution_shape_lower_bound, outflux_rate_constant_distribution_shape_upper_bound, outflux_rate_constant_distribution_location_lower_bound, outflux_rate_constant_distribution_location_upper_bound, outflux_non_reactive_rate_distribution_shape_lower_bound, outflux_non_reactive_rate_distribution_shape_upper_bound, outflux_non_reactive_rate_distribution_location_lower_bound, outflux_non_reactive_rate_distribution_location_upper_bound, species_num_lower_bound, species_num_upper_bound, reaction_num_lower_bound, reaction_num_upper_bound, reactants_per_reaction_number_lower_bound, reactants_per_reaction_number_upper_bound, products_per_reaction_number_lower_bound, products_per_reaction_number_upper_bound, catalysts_per_reaction_number_lower_bound, catalysts_per_reaction_number_upper_bound, inhibitors_per_reaction_number_lower_bound, inhibitors_per_reaction_number_upper_bound, single_strands_num_lower_bound, single_strands_num_upper_bound, upper_to_lower_strand_ratio_lower_bound, upper_to_lower_strand_ratio_upper_bound, complementary_strands_ratio_lower_bound, complementary_strands_ratio_upper_bound, upper_strand_partial_binding_distribution_shape_lower_bound, upper_strand_partial_binding_distribution_shape_upper_bound, upper_strand_partial_binding_distribution_location_lower_bound, upper_strand_partial_binding_distribution_location_upper_bound, use_global_order) FROM stdin;
\.


--
-- Name: ac_artificial_chemistry_spec_bound_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_artificial_chemistry_spec_bound_id_seq', 1000, false);


--
-- Name: ac_artificial_chemistry_spec_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_artificial_chemistry_spec_id_seq', 1000, false);


--
-- Data for Name: ac_cache_write; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_cache_write (id, ol_version, action_id, variable_id, setting_fun_id) FROM stdin;
\.


--
-- Name: ac_cache_write_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_cache_write_id_seq', 1000, false);


--
-- Data for Name: ac_compartment; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_compartment (id, ol_version, label, reaction_set_id, create_time, created_by) FROM stdin;
\.


--
-- Data for Name: ac_compartment_channel; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_compartment_channel (id, ol_version, compartment_id, source_species_id, target_species_id, direction, permeability) FROM stdin;
\.


--
-- Data for Name: ac_compartment_channel_group; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_compartment_channel_group (id, ol_version, compartment_id) FROM stdin;
\.


--
-- Name: ac_compartment_channel_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_compartment_channel_group_id_seq', 1000, false);


--
-- Data for Name: ac_compartment_channel_group_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_compartment_channel_group_mapping (group_id, channel_id) FROM stdin;
\.


--
-- Name: ac_compartment_channel_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_compartment_channel_id_seq', 1000, false);


--
-- Name: ac_compartment_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_compartment_id_seq', 1000, false);


--
-- Data for Name: ac_evaluated_action; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_evaluated_action (id, ol_version, apply_time, action_id, evaluated_action_series_id) FROM stdin;
\.


--
-- Name: ac_evaluated_action_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_evaluated_action_id_seq', 1000, false);


--
-- Data for Name: ac_evaluated_action_series; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_evaluated_action_series (id, ol_version, action_series_id, create_time, created_by) FROM stdin;
\.


--
-- Name: ac_evaluated_action_series_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_evaluated_action_series_id_seq', 1000, false);


--
-- Data for Name: ac_evaluated_performance; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_evaluated_performance (id, ol_version, time_created, created_by, repetitions, random_rate_generation_num, perturbation_num, perturbation_strength, action_series_id, compartment_id, simulation_config_id, evaluation_id, averaged_correct_rates, length) FROM stdin;
\.


--
-- Name: ac_evaluated_performance_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_evaluated_performance_id_seq', 1000, false);


--
-- Data for Name: ac_evaluated_run; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_evaluated_run (id, ol_version, steps, evaluation_id, evaluation_states, translated_run_id, create_time, created_by) FROM stdin;
\.


--
-- Name: ac_evaluated_run_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_evaluated_run_id_seq', 1000, false);


--
-- Data for Name: ac_evaluated_species_action; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_evaluated_species_action (id, ol_version, value, species_action_id, evaluated_action_id) FROM stdin;
\.


--
-- Name: ac_evaluated_species_action_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_evaluated_species_action_id_seq', 1000, false);


--
-- Data for Name: ac_evaluation; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_evaluation (id, ol_version, name, create_time, created_by, translation_series_id, periodic_translations_number, evaluation_fun_id) FROM stdin;
\.


--
-- Name: ac_evaluation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_evaluation_id_seq', 1000, false);


--
-- Data for Name: ac_parameter; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_parameter (id, ol_version, variable_index, label, sort_order, evol_function_id, parameter_set_id) FROM stdin;
\.


--
-- Name: ac_parameter_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_parameter_id_seq', 1000, false);


--
-- Data for Name: ac_parameter_set; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_parameter_set (id, ol_version, name, create_time, created_by) FROM stdin;
\.


--
-- Data for Name: ac_performance_rate_constant_type_bound_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_performance_rate_constant_type_bound_mapping (random_rate_performance_id, rate_constant_type_bound_id) FROM stdin;
\.


--
-- Data for Name: ac_range_translation; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_range_translation (id, ol_version, from_time, to_time, translation_series_id) FROM stdin;
\.


--
-- Name: ac_range_translation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_range_translation_id_seq', 1000, false);


--
-- Data for Name: ac_rate_constant_type_bound; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_rate_constant_type_bound (id, ol_version, created_by, rate_constant_type, lower_bound, upper_bound) FROM stdin;
\.


--
-- Name: ac_rate_constant_type_bound_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_rate_constant_type_bound_id_seq', 1000, false);


--
-- Data for Name: ac_reaction; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_reaction (id, ol_version, label, priority, sort_order, reaction_set_id, reaction_group_id, forward_rate_function_id, forward_rate_constants, reverse_rate_function_id, reverse_rate_constants, col_catalysis_type, col_inhibition_type, enabled) FROM stdin;
\.


--
-- Data for Name: ac_reaction_group; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_reaction_group (id, ol_version, label, create_time, created_by, reaction_set_id) FROM stdin;
\.


--
-- Name: ac_reaction_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_reaction_group_id_seq', 1000, false);


--
-- Name: ac_reaction_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_reaction_id_seq', 1000, false);


--
-- Data for Name: ac_reaction_set; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_reaction_set (id, ol_version, label, species_set_id, create_time, created_by) FROM stdin;
\.


--
-- Name: ac_reaction_set_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_reaction_set_id_seq', 1000, false);


--
-- Data for Name: ac_run; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_run (id, ol_version, steps, run_time, action_series_id, ac_id, evaluated_action_series_id, create_time, created_by) FROM stdin;
\.


--
-- Name: ac_run_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_run_id_seq', 1000, false);


--
-- Data for Name: ac_simulation_config; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_simulation_config (id, ol_version, time_created, created_by, name, ode_solver_type, upper_threshold, lower_threshold, fixed_point_detection_precision, fixed_point_detection_periodicity, tolerance, time_step, influx_scale) FROM stdin;
1010	1	2016-01-19 23:12:22.141	1	0.1-step RungeKutta4 (no FP, 10^4 Upper Bound)	1	10000	9.99999999999999955e-07	\N	\N	\N	0.100000000000000006	\N
\.


--
-- Name: ac_simulation_config_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_simulation_config_id_seq', 1010, true);


--
-- Data for Name: ac_species; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_species (id, ol_version, variable_index, label, sort_order, structure, species_set_id) FROM stdin;
\.


--
-- Data for Name: ac_species_action; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_species_action (id, ol_version, action_id, species_id, setting_fun_id) FROM stdin;
\.


--
-- Name: ac_species_action_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_species_action_id_seq', 1000, false);


--
-- Data for Name: ac_species_history; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_species_history (id, ol_version, configuration_vector, species_id, run_id) FROM stdin;
\.


--
-- Name: ac_species_history_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_species_history_id_seq', 1000, false);


--
-- Name: ac_species_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_species_id_seq', 1000, false);


--
-- Data for Name: ac_species_reaction_association; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_species_reaction_association (id, ol_version, species_id, stoichiometric_factor, reaction_id, assoc_type, pos) FROM stdin;
\.


--
-- Name: ac_species_reaction_association_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_species_reaction_association_id_seq', 1000, false);


--
-- Data for Name: ac_species_set; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_species_set (id, ol_version, name, sequence_num, parent_set, create_time, created_by) FROM stdin;
\.


--
-- Name: ac_species_set_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_species_set_id_seq', 1000, false);


--
-- Data for Name: ac_sub_compartment_association; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_sub_compartment_association (id, ol_version, parent_id, sub_id, pos) FROM stdin;
\.


--
-- Name: ac_sub_compartment_association_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_sub_compartment_association_id_seq', 1000, false);


--
-- Data for Name: ac_translated_run; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_translated_run (id, ol_version, steps, translation_series_id, run_id, create_time, created_by) FROM stdin;
\.


--
-- Name: ac_translated_run_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_translated_run_id_seq', 1000, false);


--
-- Data for Name: ac_translation_item; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_translation_item (id, ol_version, translation_id, translation_var_id, translation_fun_id) FROM stdin;
\.


--
-- Data for Name: ac_translation_item_history; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_translation_item_history (id, ol_version, translation_var_id, sequence, translated_run_id) FROM stdin;
\.


--
-- Name: ac_translation_item_history_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_translation_item_history_id_seq', 1000, false);


--
-- Name: ac_translation_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_translation_item_id_seq', 1000, false);


--
-- Data for Name: ac_translation_series; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_translation_series (id, ol_version, name, species_set_id, repetitions, periodicity, repeat_from, create_time, created_by, var_sequence_num, variables_referenced_flag) FROM stdin;
\.


--
-- Name: ac_translation_series_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_translation_series_id_seq', 1000, false);


--
-- Data for Name: ac_translation_var; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY ac_translation_var (id, ol_version, variable_index, label, translation_series_id) FROM stdin;
\.


--
-- Name: ac_translation_var_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('ac_translation_var_id_seq', 1000, false);


--
-- Data for Name: acl_class; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY acl_class (id, class) FROM stdin;
\.


--
-- Data for Name: acl_entry; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY acl_entry (id, ace_order, acl_object_identity, audit_failure, audit_success, granting, mask, sid) FROM stdin;
\.


--
-- Data for Name: acl_object_identity; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY acl_object_identity (id, object_id_class, entries_inheriting, object_id_identity, owner_sid, parent_object) FROM stdin;
\.


--
-- Data for Name: acl_sid; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY acl_sid (id, principal, sid) FROM stdin;
\.


--
-- Data for Name: blog_post; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY blog_post (id, version, active, author, content, date_created, last_updated, slug, title) FROM stdin;
10	0	t	1	<p><strong>Hello all,</strong></p>\r\n\r\n<p>We are starting now! No questions asked.</p>\r\n\r\n<hr />\r\n<blockquote>\r\n<p>Hooray alll</p>\r\n</blockquote>\r\n\r\n<p>Peace,<br />\r\nPeter</p>\r\n	2014-08-15 19:04:12.349	2014-08-15 19:04:12.349	started	Let's get started
11	0	t	1	<p>After several requests we decided to provide a free guest account. Now anybody can log in using the credentials <code>guest</code> / <code>welcome123</code>.</p>\r\n<p>Note that this acount is meant only for evaluation purposes so the offered functionality is quite limited.</p>\r\n	2016-01-08 15:57:56.528	2016-01-08 15:59:28.926	guestaccount	Guest Account Provided
\.


--
-- Data for Name: blog_post_tags; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY blog_post_tags (post_id, tags_string, tags_idx) FROM stdin;
\.


--
-- Data for Name: dyn_multi_analysis_result; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY dyn_multi_analysis_result (id, time_created, created_by, spec_id, ac_id) FROM stdin;
\.


--
-- Name: dyn_multi_analysis_result_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('dyn_multi_analysis_result_id_seq', 1000, false);


--
-- Data for Name: dyn_multi_analysis_spec; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY dyn_multi_analysis_spec (id, ol_version, time_created, created_by, name, single_run_spec_id, initial_state_distribution_id, run_num) FROM stdin;
\.


--
-- Name: dyn_multi_analysis_spec_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('dyn_multi_analysis_spec_id_seq', 1000, false);


--
-- Data for Name: dyn_single_analysis_result; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY dyn_single_analysis_result (id, time_created, created_by, initial_state, spatial_correlations_id, time_correlations_id, neighbor_time_correlations, spatial_stationary_points_per_time_id, time_stationary_points_per_time_id, spatial_cumulative_diff_per_time_id, time_cumulative_diff_per_time_id, spatial_nonlinearity_errors_id, time_nonlinearity_errors_id, final_fixed_points_detected, mean_fixed_points_detected, unbound_values_detected, final_lyapunov_exponents, derrida_results_id, multi_run_result_id) FROM stdin;
\.


--
-- Name: dyn_single_analysis_result_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('dyn_single_analysis_result_id_seq', 1000, false);


--
-- Data for Name: dyn_single_analysis_spec; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY dyn_single_analysis_spec (id, ol_version, time_created, created_by, name, time_step_length, iterations, lyapunov_perturbation_strength, derrida_perturbation_strength, derrida_time_length, time_step_to_filter, fixed_point_detection_precision, derrida_resolution) FROM stdin;
\.


--
-- Name: dyn_single_analysis_spec_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('dyn_single_analysis_spec_id_seq', 1000, false);


--
-- Data for Name: dyn_stats; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY dyn_stats (id, index, mean, standard_deviation, min, max, seq_id) FROM stdin;
\.


--
-- Name: dyn_stats_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('dyn_stats_id_seq', 1000, false);


--
-- Data for Name: dyn_stats_seq; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY dyn_stats_seq (id, time_created) FROM stdin;
\.


--
-- Name: dyn_stats_seq_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('dyn_stats_seq_id_seq', 1000, false);


--
-- Data for Name: evo_ac_interaction_variable_assignment_bound; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ac_interaction_variable_assignment_bound (id, ol_version, evo_task_id, lower_bound, upper_bound) FROM stdin;
\.


--
-- Name: evo_ac_interaction_variable_assignment_bound_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('evo_ac_interaction_variable_assignment_bound_id_seq', 1000, false);


--
-- Data for Name: evo_ac_interaction_variable_assignment_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ac_interaction_variable_assignment_mapping (evo_ac_variable_bound_id, variable_assignment_id) FROM stdin;
\.


--
-- Data for Name: evo_ac_species_assignment_bound; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ac_species_assignment_bound (id, ol_version, evo_task_id, lower_bound, upper_bound) FROM stdin;
\.


--
-- Name: evo_ac_species_assignment_bound_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('evo_ac_species_assignment_bound_id_seq', 1000, false);


--
-- Data for Name: evo_ac_species_assignment_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ac_species_assignment_mapping (evo_ac_species_bound_id, species_assignment_id) FROM stdin;
\.


--
-- Data for Name: evo_ac_task; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ac_task (id, ol_version, create_time, created_by, name, task_type, ga_setting_id, as_repetitions, ac_id, ac_evaluation_id, run_steps, last_eval_steps_to_count, spec_id, spec_bound_id, sim_config_id, multi_run_analysis_spec_id, network_id, network_evaluation_id, fixed_point_detection_periodicity) FROM stdin;
\.


--
-- Data for Name: evo_ac_task_action_series_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ac_task_action_series_mapping (id, evo_ac_task_id, action_series_id) FROM stdin;
\.


--
-- Name: evo_ac_task_action_series_mapping_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('evo_ac_task_action_series_mapping_id_seq', 1000, false);


--
-- Name: evo_ac_task_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('evo_ac_task_id_seq', 1000, false);


--
-- Data for Name: evo_ac_task_rate_constant_type_bound_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ac_task_rate_constant_type_bound_mapping (evo_ac_task_id, rate_constant_type_bound_id) FROM stdin;
\.


--
-- Data for Name: evo_ac_task_reaction_group_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ac_task_reaction_group_mapping (evo_ac_task_id, reaction_group_id) FROM stdin;
\.


--
-- Data for Name: evo_ac_task_reaction_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ac_task_reaction_mapping (evo_ac_task_id, reaction_id) FROM stdin;
\.


--
-- Data for Name: evo_chromosome; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_chromosome (id, score, fitness, population_id, array_code, type_name) FROM stdin;
\.


--
-- Name: evo_chromosome_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('evo_chromosome_id_seq', 1000, false);


--
-- Data for Name: evo_ga_setting; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_ga_setting (id, ol_version, create_time, created_by, name, elite_number, population_size, cond_mutation, cond_crossover, crossover_prob, crossover_type, mutation_prob, mutation_per_bit_prob, mutation_type, bit_mutation_type, pertrub_mutation_strength, selection_type, fitness_renorm_type, generation_limit, max_value_flag) FROM stdin;
\.


--
-- Name: evo_ga_setting_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('evo_ga_setting_id_seq', 1000, false);


--
-- Data for Name: evo_net_task_action_series_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_net_task_action_series_mapping (evo_task_id, action_series_id) FROM stdin;
\.


--
-- Data for Name: evo_population; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_population (id, time_created, generation, min_score, mean_score, max_score, min_fitness, mean_fitness, max_fitness, best_chromosome_id, evo_run_id) FROM stdin;
\.


--
-- Name: evo_population_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('evo_population_id_seq', 1000, false);


--
-- Data for Name: evo_run; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY evo_run (id, time_created, created_by, evo_task_id, init_chromosome_id) FROM stdin;
\.


--
-- Name: evo_run_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('evo_run_id_seq', 1000, false);


--
-- Data for Name: fun_expression; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY fun_expression (id, content) FROM stdin;
\.


--
-- Data for Name: fun_function; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY fun_function (id, arity, fun_type, input_clazz_name, output_clazz_name, parent_id) FROM stdin;
\.


--
-- Name: fun_function_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('fun_function_id_seq', 1000, false);


--
-- Data for Name: fun_random_distribution; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY fun_random_distribution (id, ol_version, "from", "to", location, shape, type, value_type_name, probabilities, values_as_string) FROM stdin;
\.


--
-- Name: fun_random_distribution_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('fun_random_distribution_id_seq', 1000, false);


--
-- Data for Name: fun_transition_table; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY fun_transition_table (id, outputs) FROM stdin;
\.


--
-- Name: hibernate_sequence; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('hibernate_sequence', 11, true);


--
-- Data for Name: net_action; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_action (id, ol_version, start_time, time_length, alternation_type, action_series_id, state_distribution_id) FROM stdin;
\.


--
-- Name: net_action_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_action_id_seq', 1000, false);


--
-- Data for Name: net_action_series; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_action_series (id, ol_version, name, repetitions, periodicity, repeat_from, time_created, created_by) FROM stdin;
\.


--
-- Name: net_action_series_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_action_series_id_seq', 1000, false);


--
-- Data for Name: net_damage_spreading; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_damage_spreading (id, ol_version, time_created, created_by, repetitions, run_time, network_id, result_stats_seq_id) FROM stdin;
\.


--
-- Name: net_damage_spreading_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_damage_spreading_id_seq', 1000, false);


--
-- Data for Name: net_derrida; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_derrida (id, ol_version, time_created, created_by, repetitions, run_time, network_id, result_stats_seq_id) FROM stdin;
\.


--
-- Name: net_derrida_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_derrida_id_seq', 1000, false);


--
-- Data for Name: net_evaluation; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_evaluation (id, ol_version, name, time_created, created_by, evaluation_fun_id, var_sequence_num) FROM stdin;
\.


--
-- Name: net_evaluation_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_evaluation_id_seq', 1000, false);


--
-- Data for Name: net_evaluation_item; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_evaluation_item (id, ol_version, evaluation_id, evaluation_var_id, eval_fun_id) FROM stdin;
\.


--
-- Name: net_evaluation_item_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_evaluation_item_id_seq', 1000, false);


--
-- Data for Name: net_evaluation_var; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_evaluation_var (id, ol_version, variable_index, label, evaluation_id) FROM stdin;
\.


--
-- Name: net_evaluation_var_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_evaluation_var_id_seq', 1000, false);


--
-- Data for Name: net_function; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_function (id, ol_version, name, time_created, created_by, index_, parent_id, function_id, states_weights_integrator_type, multi_component_updater_type) FROM stdin;
\.


--
-- Name: net_function_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_function_id_seq', 1000, false);


--
-- Data for Name: net_layer_topology_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_layer_topology_mapping (parent_id, layer_id, pos) FROM stdin;
\.


--
-- Data for Name: net_network; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_network (id, ol_version, name, time_created, created_by, topology_id, function_id, weight_setting_id) FROM stdin;
\.


--
-- Name: net_network_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_network_id_seq', 1000, false);


--
-- Data for Name: net_performance; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_performance (id, ol_version, time_created, created_by, repetitions, run_time, action_series_id, network_id, evaluation_id, result_stats_id, size_from, size_to, result_stats_seq_id) FROM stdin;
\.


--
-- Name: net_performance_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_performance_id_seq', 1000, false);


--
-- Data for Name: net_spatial_neighbor; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_spatial_neighbor (id, ol_version, index_, coordinate_diffs, parent_id) FROM stdin;
\.


--
-- Name: net_spatial_neighbor_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_spatial_neighbor_id_seq', 1000, false);


--
-- Data for Name: net_spatial_neighborhood; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_spatial_neighborhood (id, ol_version, name, time_created, created_by) FROM stdin;
\.


--
-- Name: net_spatial_neighborhood_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_spatial_neighborhood_id_seq', 1000, false);


--
-- Data for Name: net_spatial_topology; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_spatial_topology (topology_id, sizes, torus_flag, metrics_type, radius, its_own_neighor, neighborhood_id) FROM stdin;
\.


--
-- Data for Name: net_template_topology; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_template_topology (topology_id, nodes_num, layers_num, nodes_per_layer, generate_bias, all_edges, inner_layer_all_edges, in_edges_num, inner_layer_in_edges_num, allow_self_edges, allow_multi_edges) FROM stdin;
\.


--
-- Data for Name: net_topology; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_topology (id, ol_version, name, time_created, created_by, type) FROM stdin;
\.


--
-- Name: net_topology_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_topology_id_seq', 1000, false);


--
-- Data for Name: net_weight_setting; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY net_weight_setting (id, ol_version, name, time_created, created_by, type, index_, parent_id, weights, setting_order, random_distribution_id) FROM stdin;
\.


--
-- Name: net_weight_setting_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('net_weight_setting_id_seq', 1000, false);


--
-- Data for Name: task; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY task (id, ol_version, time_created, created_by, repeat, jobs_in_sequence_num, max_jobs_in_parallel_num) FROM stdin;
\.


--
-- Data for Name: task_evo_run; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY task_evo_run (task_id, evo_task_id, population_content_store_option, population_selection, auto_save) FROM stdin;
\.


--
-- Name: task_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('task_id_seq', 1000, false);


--
-- Data for Name: um_role; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY um_role (id, ol_version, name, description) FROM stdin;
1	1	ROLE_ADMIN	Administrator role (can edit Users)
2	1	ROLE_USER	Default role for all Users
3	1	ROLE_EXT_USER	Role external user
4	1	ROLE_GUEST	Generic guest user for demonstration purposes
\.


--
-- Name: um_role_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('um_role_id_seq', 1000, false);


--
-- Data for Name: um_user; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY um_user (id, ol_version, username, password, password_hint, firstname, lastname, affiliation, intended_use, email, phone_number, website, address, enabled, account_expired, account_locked, credentials_expired, about_me, create_time, change_time) FROM stdin;
2	1	guest	a68349561396ec264a350847024a4521d00beaa3358660c2709a80f31c7acdd0	\N	Guest	Guest	N/A	Generic guest account with limited functionality that anybody can use	guest@guest.com				t	f	f	f		2016-01-08 15:11:19.783	2016-01-19 22:59:52.226
1	1	admin	240be518fabd2724ddb6f04eeb1da5967448d7e831c08c8fa822809f74c720a9	no hint	Admin	Admin	Evil Corp	Rule the world	admin@admin.com				t	f	f	f	Love comix	2011-03-01 00:00:00	2016-01-19 22:59:21.733
\.


--
-- Name: um_user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: coeladmin
--

SELECT pg_catalog.setval('um_user_id_seq', 1000, false);


--
-- Data for Name: um_user_role_mapping; Type: TABLE DATA; Schema: public; Owner: coeladmin
--

COPY um_user_role_mapping (user_id, role_id) FROM stdin;
1	1
1	2
2	4
\.


--
-- Name: acl_class_pkey; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY acl_class
    ADD CONSTRAINT acl_class_pkey PRIMARY KEY (id);


--
-- Name: acl_entry_acl_object_identity_ace_order_key; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY acl_entry
    ADD CONSTRAINT acl_entry_acl_object_identity_ace_order_key UNIQUE (acl_object_identity, ace_order);


--
-- Name: acl_entry_pkey; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY acl_entry
    ADD CONSTRAINT acl_entry_pkey PRIMARY KEY (id);


--
-- Name: acl_object_identity_object_id_class_object_id_identity_key; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY acl_object_identity
    ADD CONSTRAINT acl_object_identity_object_id_class_object_id_identity_key UNIQUE (object_id_class, object_id_identity);


--
-- Name: acl_object_identity_pkey; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY acl_object_identity
    ADD CONSTRAINT acl_object_identity_pkey PRIMARY KEY (id);


--
-- Name: acl_sid_pkey; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY acl_sid
    ADD CONSTRAINT acl_sid_pkey PRIMARY KEY (id);


--
-- Name: acl_sid_sid_principal_key; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY acl_sid
    ADD CONSTRAINT acl_sid_sid_principal_key UNIQUE (sid, principal);


--
-- Name: blog_post_pkey; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY blog_post
    ADD CONSTRAINT blog_post_pkey PRIMARY KEY (id);


--
-- Name: pk_ac_action; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_action
    ADD CONSTRAINT pk_ac_action PRIMARY KEY (id);


--
-- Name: pk_ac_action_series; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_action_series
    ADD CONSTRAINT pk_ac_action_series PRIMARY KEY (id);


--
-- Name: pk_ac_action_var; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_action_var
    ADD CONSTRAINT pk_ac_action_var PRIMARY KEY (id);


--
-- Name: pk_ac_artificial_chemistry; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_artificial_chemistry
    ADD CONSTRAINT pk_ac_artificial_chemistry PRIMARY KEY (id);


--
-- Name: pk_ac_artificial_chemistry_spec; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_artificial_chemistry_spec
    ADD CONSTRAINT pk_ac_artificial_chemistry_spec PRIMARY KEY (id);


--
-- Name: pk_ac_artificial_chemistry_spec_bound; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_artificial_chemistry_spec_bound
    ADD CONSTRAINT pk_ac_artificial_chemistry_spec_bound PRIMARY KEY (id);


--
-- Name: pk_ac_cache_write; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_cache_write
    ADD CONSTRAINT pk_ac_cache_write PRIMARY KEY (id);


--
-- Name: pk_ac_compartment; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_compartment
    ADD CONSTRAINT pk_ac_compartment PRIMARY KEY (id);


--
-- Name: pk_ac_compartment_channel; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_compartment_channel
    ADD CONSTRAINT pk_ac_compartment_channel PRIMARY KEY (id);


--
-- Name: pk_ac_compartment_channel_group; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_compartment_channel_group
    ADD CONSTRAINT pk_ac_compartment_channel_group PRIMARY KEY (id);


--
-- Name: pk_ac_evaluated_action; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_evaluated_action
    ADD CONSTRAINT pk_ac_evaluated_action PRIMARY KEY (id);


--
-- Name: pk_ac_evaluated_action_series; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_evaluated_action_series
    ADD CONSTRAINT pk_ac_evaluated_action_series PRIMARY KEY (id);


--
-- Name: pk_ac_evaluated_performance; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_evaluated_performance
    ADD CONSTRAINT pk_ac_evaluated_performance PRIMARY KEY (id);


--
-- Name: pk_ac_evaluated_run; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_evaluated_run
    ADD CONSTRAINT pk_ac_evaluated_run PRIMARY KEY (id);


--
-- Name: pk_ac_evaluated_species_action; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_evaluated_species_action
    ADD CONSTRAINT pk_ac_evaluated_species_action PRIMARY KEY (id);


--
-- Name: pk_ac_evaluation; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_evaluation
    ADD CONSTRAINT pk_ac_evaluation PRIMARY KEY (id);


--
-- Name: pk_ac_parameter; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_parameter
    ADD CONSTRAINT pk_ac_parameter PRIMARY KEY (id);


--
-- Name: pk_ac_parameter_set; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_parameter_set
    ADD CONSTRAINT pk_ac_parameter_set PRIMARY KEY (id);


--
-- Name: pk_ac_performance_rate_constant_type_bound_mapping; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_performance_rate_constant_type_bound_mapping
    ADD CONSTRAINT pk_ac_performance_rate_constant_type_bound_mapping PRIMARY KEY (random_rate_performance_id, rate_constant_type_bound_id);


--
-- Name: pk_ac_range_translation; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_range_translation
    ADD CONSTRAINT pk_ac_range_translation PRIMARY KEY (id);


--
-- Name: pk_ac_rate_constant_type_bound; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_rate_constant_type_bound
    ADD CONSTRAINT pk_ac_rate_constant_type_bound PRIMARY KEY (id);


--
-- Name: pk_ac_reaction; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_reaction
    ADD CONSTRAINT pk_ac_reaction PRIMARY KEY (id);


--
-- Name: pk_ac_reaction_group; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_reaction_group
    ADD CONSTRAINT pk_ac_reaction_group PRIMARY KEY (id);


--
-- Name: pk_ac_reaction_set; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_reaction_set
    ADD CONSTRAINT pk_ac_reaction_set PRIMARY KEY (id);


--
-- Name: pk_ac_run; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_run
    ADD CONSTRAINT pk_ac_run PRIMARY KEY (id);


--
-- Name: pk_ac_simulation_config; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_simulation_config
    ADD CONSTRAINT pk_ac_simulation_config PRIMARY KEY (id);


--
-- Name: pk_ac_species; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_species
    ADD CONSTRAINT pk_ac_species PRIMARY KEY (id);


--
-- Name: pk_ac_species_action; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_species_action
    ADD CONSTRAINT pk_ac_species_action PRIMARY KEY (id);


--
-- Name: pk_ac_species_history; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_species_history
    ADD CONSTRAINT pk_ac_species_history PRIMARY KEY (id);


--
-- Name: pk_ac_species_reaction_association; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_species_reaction_association
    ADD CONSTRAINT pk_ac_species_reaction_association PRIMARY KEY (id);


--
-- Name: pk_ac_species_set; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_species_set
    ADD CONSTRAINT pk_ac_species_set PRIMARY KEY (id);


--
-- Name: pk_ac_sub_compartment_association; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_sub_compartment_association
    ADD CONSTRAINT pk_ac_sub_compartment_association PRIMARY KEY (id);


--
-- Name: pk_ac_translated_run; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_translated_run
    ADD CONSTRAINT pk_ac_translated_run PRIMARY KEY (id);


--
-- Name: pk_ac_translation_item; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_translation_item
    ADD CONSTRAINT pk_ac_translation_item PRIMARY KEY (id);


--
-- Name: pk_ac_translation_item_history; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_translation_item_history
    ADD CONSTRAINT pk_ac_translation_item_history PRIMARY KEY (id);


--
-- Name: pk_ac_translation_series; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_translation_series
    ADD CONSTRAINT pk_ac_translation_series PRIMARY KEY (id);


--
-- Name: pk_ac_translation_var; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_translation_var
    ADD CONSTRAINT pk_ac_translation_var PRIMARY KEY (id);


--
-- Name: pk_dyn_multi_analysis_result; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY dyn_multi_analysis_result
    ADD CONSTRAINT pk_dyn_multi_analysis_result PRIMARY KEY (id);


--
-- Name: pk_dyn_multi_analysis_spec; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY dyn_multi_analysis_spec
    ADD CONSTRAINT pk_dyn_multi_analysis_spec PRIMARY KEY (id);


--
-- Name: pk_dyn_single_analysis_result; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT pk_dyn_single_analysis_result PRIMARY KEY (id);


--
-- Name: pk_dyn_single_analysis_spec; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY dyn_single_analysis_spec
    ADD CONSTRAINT pk_dyn_single_analysis_spec PRIMARY KEY (id);


--
-- Name: pk_dyn_stats; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY dyn_stats
    ADD CONSTRAINT pk_dyn_stats PRIMARY KEY (id);


--
-- Name: pk_dyn_stats_seq; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY dyn_stats_seq
    ADD CONSTRAINT pk_dyn_stats_seq PRIMARY KEY (id);


--
-- Name: pk_evo_ac_interaction_variable_assignment_bound; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ac_interaction_variable_assignment_bound
    ADD CONSTRAINT pk_evo_ac_interaction_variable_assignment_bound PRIMARY KEY (id);


--
-- Name: pk_evo_ac_interaction_variable_assignment_mapping; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ac_interaction_variable_assignment_mapping
    ADD CONSTRAINT pk_evo_ac_interaction_variable_assignment_mapping PRIMARY KEY (evo_ac_variable_bound_id, variable_assignment_id);


--
-- Name: pk_evo_ac_species_assignment_bound; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ac_species_assignment_bound
    ADD CONSTRAINT pk_evo_ac_species_assignment_bound PRIMARY KEY (id);


--
-- Name: pk_evo_ac_species_assignment_mapping; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ac_species_assignment_mapping
    ADD CONSTRAINT pk_evo_ac_species_assignment_mapping PRIMARY KEY (evo_ac_species_bound_id, species_assignment_id);


--
-- Name: pk_evo_ac_task; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT pk_evo_ac_task PRIMARY KEY (id);


--
-- Name: pk_evo_ac_task_action_series_mapping; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ac_task_action_series_mapping
    ADD CONSTRAINT pk_evo_ac_task_action_series_mapping PRIMARY KEY (id);


--
-- Name: pk_evo_ac_task_rate_constant_type_bound_mapping; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ac_task_rate_constant_type_bound_mapping
    ADD CONSTRAINT pk_evo_ac_task_rate_constant_type_bound_mapping PRIMARY KEY (evo_ac_task_id, rate_constant_type_bound_id);


--
-- Name: pk_evo_ac_task_reaction_group_mapping; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ac_task_reaction_group_mapping
    ADD CONSTRAINT pk_evo_ac_task_reaction_group_mapping PRIMARY KEY (evo_ac_task_id, reaction_group_id);


--
-- Name: pk_evo_ac_task_reaction_mapping; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ac_task_reaction_mapping
    ADD CONSTRAINT pk_evo_ac_task_reaction_mapping PRIMARY KEY (evo_ac_task_id, reaction_id);


--
-- Name: pk_evo_chromosome; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_chromosome
    ADD CONSTRAINT pk_evo_chromosome PRIMARY KEY (id);


--
-- Name: pk_evo_ga_setting; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_ga_setting
    ADD CONSTRAINT pk_evo_ga_setting PRIMARY KEY (id);


--
-- Name: pk_evo_population; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_population
    ADD CONSTRAINT pk_evo_population PRIMARY KEY (id);


--
-- Name: pk_evo_run; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY evo_run
    ADD CONSTRAINT pk_evo_run PRIMARY KEY (id);


--
-- Name: pk_evo_run_def; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY task_evo_run
    ADD CONSTRAINT pk_evo_run_def PRIMARY KEY (task_id);


--
-- Name: pk_fun_expression; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY fun_expression
    ADD CONSTRAINT pk_fun_expression PRIMARY KEY (id);


--
-- Name: pk_fun_function; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY fun_function
    ADD CONSTRAINT pk_fun_function PRIMARY KEY (id);


--
-- Name: pk_fun_random_distribution; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY fun_random_distribution
    ADD CONSTRAINT pk_fun_random_distribution PRIMARY KEY (id);


--
-- Name: pk_fun_transition_table; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY fun_transition_table
    ADD CONSTRAINT pk_fun_transition_table PRIMARY KEY (id);


--
-- Name: pk_net_action; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_action
    ADD CONSTRAINT pk_net_action PRIMARY KEY (id);


--
-- Name: pk_net_action_series; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_action_series
    ADD CONSTRAINT pk_net_action_series PRIMARY KEY (id);


--
-- Name: pk_net_damage_spreading; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_damage_spreading
    ADD CONSTRAINT pk_net_damage_spreading PRIMARY KEY (id);


--
-- Name: pk_net_derrida; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_derrida
    ADD CONSTRAINT pk_net_derrida PRIMARY KEY (id);


--
-- Name: pk_net_evaluation; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_evaluation
    ADD CONSTRAINT pk_net_evaluation PRIMARY KEY (id);


--
-- Name: pk_net_evaluation_item; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_evaluation_item
    ADD CONSTRAINT pk_net_evaluation_item PRIMARY KEY (id);


--
-- Name: pk_net_evaluation_var; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_evaluation_var
    ADD CONSTRAINT pk_net_evaluation_var PRIMARY KEY (id);


--
-- Name: pk_net_function; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_function
    ADD CONSTRAINT pk_net_function PRIMARY KEY (id);


--
-- Name: pk_net_network; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_network
    ADD CONSTRAINT pk_net_network PRIMARY KEY (id);


--
-- Name: pk_net_performance; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_performance
    ADD CONSTRAINT pk_net_performance PRIMARY KEY (id);


--
-- Name: pk_net_spatial_neighbor; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_spatial_neighbor
    ADD CONSTRAINT pk_net_spatial_neighbor PRIMARY KEY (id);


--
-- Name: pk_net_spatial_neighborhood; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_spatial_neighborhood
    ADD CONSTRAINT pk_net_spatial_neighborhood PRIMARY KEY (id);


--
-- Name: pk_net_spatial_topology; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_spatial_topology
    ADD CONSTRAINT pk_net_spatial_topology PRIMARY KEY (topology_id);


--
-- Name: pk_net_template_topology; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_template_topology
    ADD CONSTRAINT pk_net_template_topology PRIMARY KEY (topology_id);


--
-- Name: pk_net_topology; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_topology
    ADD CONSTRAINT pk_net_topology PRIMARY KEY (id);


--
-- Name: pk_net_weight_setting; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY net_weight_setting
    ADD CONSTRAINT pk_net_weight_setting PRIMARY KEY (id);


--
-- Name: pk_task; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT pk_task PRIMARY KEY (id);


--
-- Name: pk_um_role; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY um_role
    ADD CONSTRAINT pk_um_role PRIMARY KEY (id);


--
-- Name: pk_um_user; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY um_user
    ADD CONSTRAINT pk_um_user PRIMARY KEY (id);


--
-- Name: pk_um_user_role_mapping; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY um_user_role_mapping
    ADD CONSTRAINT pk_um_user_role_mapping PRIMARY KEY (user_id, role_id);


--
-- Name: uk_ac_action; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_action
    ADD CONSTRAINT uk_ac_action UNIQUE (start_time, action_series_id);


--
-- Name: uk_ac_action_var; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_action_var
    ADD CONSTRAINT uk_ac_action_var UNIQUE (label, action_series_id);


--
-- Name: uk_ac_action_var_2; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_action_var
    ADD CONSTRAINT uk_ac_action_var_2 UNIQUE (variable_index, action_series_id);


--
-- Name: uk_ac_evaluated_species_action; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_evaluated_species_action
    ADD CONSTRAINT uk_ac_evaluated_species_action UNIQUE (species_action_id, evaluated_action_id);


--
-- Name: uk_ac_parameter; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_parameter
    ADD CONSTRAINT uk_ac_parameter UNIQUE (label, parameter_set_id);


--
-- Name: uk_ac_parameter_2; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_parameter
    ADD CONSTRAINT uk_ac_parameter_2 UNIQUE (variable_index, parameter_set_id);


--
-- Name: uk_ac_reaction; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_reaction
    ADD CONSTRAINT uk_ac_reaction UNIQUE (label, reaction_set_id);


--
-- Name: uk_ac_species; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_species
    ADD CONSTRAINT uk_ac_species UNIQUE (label, species_set_id);


--
-- Name: uk_ac_species_2; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_species
    ADD CONSTRAINT uk_ac_species_2 UNIQUE (variable_index, species_set_id);


--
-- Name: uk_ac_species_action; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_species_action
    ADD CONSTRAINT uk_ac_species_action UNIQUE (species_id, action_id);


--
-- Name: uk_ac_species_history; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_species_history
    ADD CONSTRAINT uk_ac_species_history UNIQUE (species_id, run_id);


--
-- Name: uk_ac_translation_item; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_translation_item
    ADD CONSTRAINT uk_ac_translation_item UNIQUE (translation_var_id, translation_id);


--
-- Name: uk_ac_translation_item_history; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_translation_item_history
    ADD CONSTRAINT uk_ac_translation_item_history UNIQUE (translation_var_id, translated_run_id);


--
-- Name: uk_ac_translation_var; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_translation_var
    ADD CONSTRAINT uk_ac_translation_var UNIQUE (label, translation_series_id);


--
-- Name: uk_ac_translation_var_2; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY ac_translation_var
    ADD CONSTRAINT uk_ac_translation_var_2 UNIQUE (variable_index, translation_series_id);


--
-- Name: uk_um_role_1; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY um_role
    ADD CONSTRAINT uk_um_role_1 UNIQUE (name);


--
-- Name: uk_um_user_1; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY um_user
    ADD CONSTRAINT uk_um_user_1 UNIQUE (username);


--
-- Name: uk_um_user_2; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY um_user
    ADD CONSTRAINT uk_um_user_2 UNIQUE (email);


--
-- Name: uk_um_user_role_mapping; Type: CONSTRAINT; Schema: public; Owner: coeladmin; Tablespace: 
--

ALTER TABLE ONLY um_user_role_mapping
    ADD CONSTRAINT uk_um_user_role_mapping UNIQUE (user_id, role_id);


--
-- Name: ac_action_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_action_action_series_id_idx ON ac_action USING btree (action_series_id);


--
-- Name: ac_action_series_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_action_series_created_by_idx ON ac_action_series USING btree (created_by);


--
-- Name: ac_action_series_immutable_species_mapping_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_action_series_immutable_species_mapping_action_series_id_idx ON ac_action_series_immutable_species_mapping USING btree (action_series_id);


--
-- Name: ac_action_series_immutable_species_mapping_species_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_action_series_immutable_species_mapping_species_id_idx ON ac_action_series_immutable_species_mapping USING btree (species_id);


--
-- Name: ac_action_series_parent_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_action_series_parent_id_idx ON ac_action_series USING btree (parent_id);


--
-- Name: ac_action_series_species_set_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_action_series_species_set_id_idx ON ac_action_series USING btree (species_set_id);


--
-- Name: ac_action_var_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_action_var_action_series_id_idx ON ac_action_var USING btree (action_series_id);


--
-- Name: ac_artificial_chemistry_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_created_by_idx ON ac_artificial_chemistry USING btree (created_by);


--
-- Name: ac_artificial_chemistry_generated_by_spec_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_generated_by_spec_id_idx ON ac_artificial_chemistry USING btree (generated_by_spec_id);


--
-- Name: ac_artificial_chemistry_simulation_config_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_simulation_config_id_idx ON ac_artificial_chemistry USING btree (simulation_config_id);


--
-- Name: ac_artificial_chemistry_skin_compartment_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_skin_compartment_id_idx ON ac_artificial_chemistry USING btree (skin_compartment_id);


--
-- Name: ac_artificial_chemistry_spec_bound_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_spec_bound_created_by_idx ON ac_artificial_chemistry_spec_bound USING btree (created_by);


--
-- Name: ac_artificial_chemistry_spec_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_spec_created_by_idx ON ac_artificial_chemistry_spec USING btree (created_by);


--
-- Name: ac_artificial_chemistry_spec_influx_rate_constant_distribut_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_spec_influx_rate_constant_distribut_idx ON ac_artificial_chemistry_spec USING btree (influx_rate_constant_distribution_id);


--
-- Name: ac_artificial_chemistry_spec_outflux_non_reactive_rate_dist_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_spec_outflux_non_reactive_rate_dist_idx ON ac_artificial_chemistry_spec USING btree (outflux_non_reactive_rate_distribution_id);


--
-- Name: ac_artificial_chemistry_spec_outflux_rate_constant_distribu_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_spec_outflux_rate_constant_distribu_idx ON ac_artificial_chemistry_spec USING btree (outflux_rate_constant_distribution_id);


--
-- Name: ac_artificial_chemistry_spec_rate_constant_distribution_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_spec_rate_constant_distribution_id_idx ON ac_artificial_chemistry_spec USING btree (rate_constant_distribution_id);


--
-- Name: ac_artificial_chemistry_spec_upper_strand_partial_binding_d_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_artificial_chemistry_spec_upper_strand_partial_binding_d_idx ON ac_artificial_chemistry_spec USING btree (upper_strand_partial_binding_distribution_id);


--
-- Name: ac_cache_write_action_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_cache_write_action_id_idx ON ac_cache_write USING btree (action_id);


--
-- Name: ac_cache_write_setting_fun_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_cache_write_setting_fun_id_idx ON ac_cache_write USING btree (setting_fun_id);


--
-- Name: ac_cache_write_variable_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_cache_write_variable_id_idx ON ac_cache_write USING btree (variable_id);


--
-- Name: ac_compartment_channel_compartment_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_compartment_channel_compartment_id_idx ON ac_compartment_channel USING btree (compartment_id);


--
-- Name: ac_compartment_channel_group_compartment_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_compartment_channel_group_compartment_id_idx ON ac_compartment_channel_group USING btree (compartment_id);


--
-- Name: ac_compartment_channel_group_mapping_channel_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_compartment_channel_group_mapping_channel_id_idx ON ac_compartment_channel_group_mapping USING btree (channel_id);


--
-- Name: ac_compartment_channel_group_mapping_group_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_compartment_channel_group_mapping_group_id_idx ON ac_compartment_channel_group_mapping USING btree (group_id);


--
-- Name: ac_compartment_channel_source_species_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_compartment_channel_source_species_id_idx ON ac_compartment_channel USING btree (source_species_id);


--
-- Name: ac_compartment_channel_target_species_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_compartment_channel_target_species_id_idx ON ac_compartment_channel USING btree (target_species_id);


--
-- Name: ac_compartment_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_compartment_created_by_idx ON ac_compartment USING btree (created_by);


--
-- Name: ac_compartment_reaction_set_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_compartment_reaction_set_id_idx ON ac_compartment USING btree (reaction_set_id);


--
-- Name: ac_evaluated_action_action_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_action_action_id_idx ON ac_evaluated_action USING btree (action_id);


--
-- Name: ac_evaluated_action_evaluated_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_action_evaluated_action_series_id_idx ON ac_evaluated_action USING btree (evaluated_action_series_id);


--
-- Name: ac_evaluated_action_series_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_action_series_action_series_id_idx ON ac_evaluated_action_series USING btree (action_series_id);


--
-- Name: ac_evaluated_action_series_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_action_series_created_by_idx ON ac_evaluated_action_series USING btree (created_by);


--
-- Name: ac_evaluated_performance_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_performance_action_series_id_idx ON ac_evaluated_performance USING btree (action_series_id);


--
-- Name: ac_evaluated_performance_compartment_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_performance_compartment_id_idx ON ac_evaluated_performance USING btree (compartment_id);


--
-- Name: ac_evaluated_performance_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_performance_created_by_idx ON ac_evaluated_performance USING btree (created_by);


--
-- Name: ac_evaluated_performance_evaluation_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_performance_evaluation_id_idx ON ac_evaluated_performance USING btree (evaluation_id);


--
-- Name: ac_evaluated_performance_simulation_config_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_performance_simulation_config_id_idx ON ac_evaluated_performance USING btree (simulation_config_id);


--
-- Name: ac_evaluated_run_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_run_created_by_idx ON ac_evaluated_run USING btree (created_by);


--
-- Name: ac_evaluated_run_evaluation_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_run_evaluation_id_idx ON ac_evaluated_run USING btree (evaluation_id);


--
-- Name: ac_evaluated_run_translated_run_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_run_translated_run_id_idx ON ac_evaluated_run USING btree (translated_run_id);


--
-- Name: ac_evaluated_species_action_evaluated_action_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_species_action_evaluated_action_id_idx ON ac_evaluated_species_action USING btree (evaluated_action_id);


--
-- Name: ac_evaluated_species_action_species_action_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluated_species_action_species_action_id_idx ON ac_evaluated_species_action USING btree (species_action_id);


--
-- Name: ac_evaluation_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluation_created_by_idx ON ac_evaluation USING btree (created_by);


--
-- Name: ac_evaluation_evaluation_fun_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluation_evaluation_fun_id_idx ON ac_evaluation USING btree (evaluation_fun_id);


--
-- Name: ac_evaluation_translation_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_evaluation_translation_series_id_idx ON ac_evaluation USING btree (translation_series_id);


--
-- Name: ac_parameter_evol_function_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_parameter_evol_function_id_idx ON ac_parameter USING btree (evol_function_id);


--
-- Name: ac_parameter_parameter_set_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_parameter_parameter_set_id_idx ON ac_parameter USING btree (parameter_set_id);


--
-- Name: ac_parameter_set_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_parameter_set_created_by_idx ON ac_parameter_set USING btree (created_by);


--
-- Name: ac_performance_rate_constant_ty_rate_constant_type_bound_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_performance_rate_constant_ty_rate_constant_type_bound_id_idx ON ac_performance_rate_constant_type_bound_mapping USING btree (rate_constant_type_bound_id);


--
-- Name: ac_performance_rate_constant_typ_random_rate_performance_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_performance_rate_constant_typ_random_rate_performance_id_idx ON ac_performance_rate_constant_type_bound_mapping USING btree (random_rate_performance_id);


--
-- Name: ac_range_translation_translation_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_range_translation_translation_series_id_idx ON ac_range_translation USING btree (translation_series_id);


--
-- Name: ac_rate_constant_type_bound_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_rate_constant_type_bound_created_by_idx ON ac_rate_constant_type_bound USING btree (created_by);


--
-- Name: ac_reaction_forward_rate_function_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_reaction_forward_rate_function_id_idx ON ac_reaction USING btree (forward_rate_function_id);


--
-- Name: ac_reaction_group_reaction_set_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_reaction_group_reaction_set_id_idx ON ac_reaction_group USING btree (reaction_set_id);


--
-- Name: ac_reaction_reaction_group_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_reaction_reaction_group_id_idx ON ac_reaction USING btree (reaction_group_id);


--
-- Name: ac_reaction_reaction_set_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_reaction_reaction_set_id_idx ON ac_reaction USING btree (reaction_set_id);


--
-- Name: ac_reaction_reverse_rate_function_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_reaction_reverse_rate_function_id_idx ON ac_reaction USING btree (reverse_rate_function_id);


--
-- Name: ac_reaction_set_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_reaction_set_created_by_idx ON ac_reaction_set USING btree (created_by);


--
-- Name: ac_reaction_set_species_set_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_reaction_set_species_set_id_idx ON ac_reaction_set USING btree (species_set_id);


--
-- Name: ac_run_ac_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_run_ac_id_idx ON ac_run USING btree (ac_id);


--
-- Name: ac_run_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_run_action_series_id_idx ON ac_run USING btree (action_series_id);


--
-- Name: ac_run_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_run_created_by_idx ON ac_run USING btree (created_by);


--
-- Name: ac_run_evaluated_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_run_evaluated_action_series_id_idx ON ac_run USING btree (evaluated_action_series_id);


--
-- Name: ac_simulation_config_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_simulation_config_created_by_idx ON ac_simulation_config USING btree (created_by);


--
-- Name: ac_species_action_action_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_action_action_id_idx ON ac_species_action USING btree (action_id);


--
-- Name: ac_species_action_setting_fun_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_action_setting_fun_id_idx ON ac_species_action USING btree (setting_fun_id);


--
-- Name: ac_species_action_species_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_action_species_id_idx ON ac_species_action USING btree (species_id);


--
-- Name: ac_species_history_run_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_history_run_id_idx ON ac_species_history USING btree (run_id);


--
-- Name: ac_species_history_species_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_history_species_id_idx ON ac_species_history USING btree (species_id);


--
-- Name: ac_species_reaction_association_reaction_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_reaction_association_reaction_id_idx ON ac_species_reaction_association USING btree (reaction_id);


--
-- Name: ac_species_reaction_association_species_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_reaction_association_species_id_idx ON ac_species_reaction_association USING btree (species_id);


--
-- Name: ac_species_set_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_set_created_by_idx ON ac_species_set USING btree (created_by);


--
-- Name: ac_species_set_parent_set_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_set_parent_set_idx ON ac_species_set USING btree (parent_set);


--
-- Name: ac_species_species_set_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_species_species_set_id_idx ON ac_species USING btree (species_set_id);


--
-- Name: ac_sub_compartment_association_parent_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_sub_compartment_association_parent_id_idx ON ac_sub_compartment_association USING btree (parent_id);


--
-- Name: ac_sub_compartment_association_sub_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_sub_compartment_association_sub_id_idx ON ac_sub_compartment_association USING btree (sub_id);


--
-- Name: ac_translated_run_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translated_run_created_by_idx ON ac_translated_run USING btree (created_by);


--
-- Name: ac_translated_run_run_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translated_run_run_id_idx ON ac_translated_run USING btree (run_id);


--
-- Name: ac_translated_run_translation_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translated_run_translation_series_id_idx ON ac_translated_run USING btree (translation_series_id);


--
-- Name: ac_translation_item_history_translated_run_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translation_item_history_translated_run_id_idx ON ac_translation_item_history USING btree (translated_run_id);


--
-- Name: ac_translation_item_history_translation_var_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translation_item_history_translation_var_id_idx ON ac_translation_item_history USING btree (translation_var_id);


--
-- Name: ac_translation_item_translation_fun_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translation_item_translation_fun_id_idx ON ac_translation_item USING btree (translation_fun_id);


--
-- Name: ac_translation_item_translation_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translation_item_translation_id_idx ON ac_translation_item USING btree (translation_id);


--
-- Name: ac_translation_item_translation_var_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translation_item_translation_var_id_idx ON ac_translation_item USING btree (translation_var_id);


--
-- Name: ac_translation_series_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translation_series_created_by_idx ON ac_translation_series USING btree (created_by);


--
-- Name: ac_translation_series_species_set_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translation_series_species_set_id_idx ON ac_translation_series USING btree (species_set_id);


--
-- Name: ac_translation_var_translation_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX ac_translation_var_translation_series_id_idx ON ac_translation_var USING btree (translation_series_id);


--
-- Name: dyn_multi_analysis_result_ac_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_multi_analysis_result_ac_id_idx ON dyn_multi_analysis_result USING btree (ac_id);


--
-- Name: dyn_multi_analysis_result_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_multi_analysis_result_created_by_idx ON dyn_multi_analysis_result USING btree (created_by);


--
-- Name: dyn_multi_analysis_result_spec_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_multi_analysis_result_spec_id_idx ON dyn_multi_analysis_result USING btree (spec_id);


--
-- Name: dyn_multi_analysis_spec_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_multi_analysis_spec_created_by_idx ON dyn_multi_analysis_spec USING btree (created_by);


--
-- Name: dyn_multi_analysis_spec_initial_state_distribution_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_multi_analysis_spec_initial_state_distribution_id_idx ON dyn_multi_analysis_spec USING btree (initial_state_distribution_id);


--
-- Name: dyn_multi_analysis_spec_single_run_spec_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_multi_analysis_spec_single_run_spec_id_idx ON dyn_multi_analysis_spec USING btree (single_run_spec_id);


--
-- Name: dyn_single_analysis_result_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_created_by_idx ON dyn_single_analysis_result USING btree (created_by);


--
-- Name: dyn_single_analysis_result_derrida_results_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_derrida_results_id_idx ON dyn_single_analysis_result USING btree (derrida_results_id);


--
-- Name: dyn_single_analysis_result_multi_run_result_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_multi_run_result_id_idx ON dyn_single_analysis_result USING btree (multi_run_result_id);


--
-- Name: dyn_single_analysis_result_spatial_correlations_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_spatial_correlations_id_idx ON dyn_single_analysis_result USING btree (spatial_correlations_id);


--
-- Name: dyn_single_analysis_result_spatial_cumulative_diff_per_time_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_spatial_cumulative_diff_per_time_idx ON dyn_single_analysis_result USING btree (spatial_cumulative_diff_per_time_id);


--
-- Name: dyn_single_analysis_result_spatial_nonlinearity_errors_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_spatial_nonlinearity_errors_id_idx ON dyn_single_analysis_result USING btree (spatial_nonlinearity_errors_id);


--
-- Name: dyn_single_analysis_result_spatial_stationary_points_per_ti_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_spatial_stationary_points_per_ti_idx ON dyn_single_analysis_result USING btree (spatial_stationary_points_per_time_id);


--
-- Name: dyn_single_analysis_result_time_correlations_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_time_correlations_id_idx ON dyn_single_analysis_result USING btree (time_correlations_id);


--
-- Name: dyn_single_analysis_result_time_cumulative_diff_per_time_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_time_cumulative_diff_per_time_id_idx ON dyn_single_analysis_result USING btree (time_cumulative_diff_per_time_id);


--
-- Name: dyn_single_analysis_result_time_nonlinearity_errors_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_time_nonlinearity_errors_id_idx ON dyn_single_analysis_result USING btree (time_nonlinearity_errors_id);


--
-- Name: dyn_single_analysis_result_time_stationary_points_per_time__idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_result_time_stationary_points_per_time__idx ON dyn_single_analysis_result USING btree (time_stationary_points_per_time_id);


--
-- Name: dyn_single_analysis_spec_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_single_analysis_spec_created_by_idx ON dyn_single_analysis_spec USING btree (created_by);


--
-- Name: dyn_stats_seq_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX dyn_stats_seq_id_idx ON dyn_stats USING btree (seq_id);


--
-- Name: evo_ac_interaction_variable_assign_evo_ac_variable_bound_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_interaction_variable_assign_evo_ac_variable_bound_id_idx ON evo_ac_interaction_variable_assignment_mapping USING btree (evo_ac_variable_bound_id);


--
-- Name: evo_ac_interaction_variable_assignme_variable_assignment_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_interaction_variable_assignme_variable_assignment_id_idx ON evo_ac_interaction_variable_assignment_mapping USING btree (variable_assignment_id);


--
-- Name: evo_ac_interaction_variable_assignment_bound_evo_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_interaction_variable_assignment_bound_evo_task_id_idx ON evo_ac_interaction_variable_assignment_bound USING btree (evo_task_id);


--
-- Name: evo_ac_species_assignment_bound_evo_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_species_assignment_bound_evo_task_id_idx ON evo_ac_species_assignment_bound USING btree (evo_task_id);


--
-- Name: evo_ac_species_assignment_mapping_evo_ac_species_bound_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_species_assignment_mapping_evo_ac_species_bound_id_idx ON evo_ac_species_assignment_mapping USING btree (evo_ac_species_bound_id);


--
-- Name: evo_ac_species_assignment_mapping_species_assignment_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_species_assignment_mapping_species_assignment_id_idx ON evo_ac_species_assignment_mapping USING btree (species_assignment_id);


--
-- Name: evo_ac_task_ac_evaluation_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_ac_evaluation_id_idx ON evo_ac_task USING btree (ac_evaluation_id);


--
-- Name: evo_ac_task_ac_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_ac_id_idx ON evo_ac_task USING btree (ac_id);


--
-- Name: evo_ac_task_action_series_mapping_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_action_series_mapping_action_series_id_idx ON evo_ac_task_action_series_mapping USING btree (action_series_id);


--
-- Name: evo_ac_task_action_series_mapping_evo_ac_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_action_series_mapping_evo_ac_task_id_idx ON evo_ac_task_action_series_mapping USING btree (evo_ac_task_id);


--
-- Name: evo_ac_task_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_created_by_idx ON evo_ac_task USING btree (created_by);


--
-- Name: evo_ac_task_ga_setting_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_ga_setting_id_idx ON evo_ac_task USING btree (ga_setting_id);


--
-- Name: evo_ac_task_multi_run_analysis_spec_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_multi_run_analysis_spec_id_idx ON evo_ac_task USING btree (multi_run_analysis_spec_id);


--
-- Name: evo_ac_task_network_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_network_id_idx ON evo_ac_task USING btree (network_id);


--
-- Name: evo_ac_task_rate_constant_type__rate_constant_type_bound_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_rate_constant_type__rate_constant_type_bound_id_idx ON evo_ac_task_rate_constant_type_bound_mapping USING btree (rate_constant_type_bound_id);


--
-- Name: evo_ac_task_rate_constant_type_bound_mapping_evo_ac_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_rate_constant_type_bound_mapping_evo_ac_task_id_idx ON evo_ac_task_rate_constant_type_bound_mapping USING btree (evo_ac_task_id);


--
-- Name: evo_ac_task_reaction_group_mapping_evo_ac_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_reaction_group_mapping_evo_ac_task_id_idx ON evo_ac_task_reaction_group_mapping USING btree (evo_ac_task_id);


--
-- Name: evo_ac_task_reaction_group_mapping_reaction_group_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_reaction_group_mapping_reaction_group_id_idx ON evo_ac_task_reaction_group_mapping USING btree (reaction_group_id);


--
-- Name: evo_ac_task_reaction_mapping_evo_ac_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_reaction_mapping_evo_ac_task_id_idx ON evo_ac_task_reaction_mapping USING btree (evo_ac_task_id);


--
-- Name: evo_ac_task_reaction_mapping_reaction_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_reaction_mapping_reaction_id_idx ON evo_ac_task_reaction_mapping USING btree (reaction_id);


--
-- Name: evo_ac_task_sim_config_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_sim_config_id_idx ON evo_ac_task USING btree (sim_config_id);


--
-- Name: evo_ac_task_spec_bound_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ac_task_spec_bound_id_idx ON evo_ac_task USING btree (spec_bound_id);


--
-- Name: evo_chromosome_population_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_chromosome_population_id_idx ON evo_chromosome USING btree (population_id);


--
-- Name: evo_ga_setting_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_ga_setting_created_by_idx ON evo_ga_setting USING btree (created_by);


--
-- Name: evo_net_task_action_series_mapping_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_net_task_action_series_mapping_action_series_id_idx ON evo_net_task_action_series_mapping USING btree (action_series_id);


--
-- Name: evo_net_task_action_series_mapping_evo_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_net_task_action_series_mapping_evo_task_id_idx ON evo_net_task_action_series_mapping USING btree (evo_task_id);


--
-- Name: evo_population_best_chromosome_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_population_best_chromosome_id_idx ON evo_population USING btree (best_chromosome_id);


--
-- Name: evo_population_evo_run_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_population_evo_run_id_idx ON evo_population USING btree (evo_run_id);


--
-- Name: evo_run_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_run_created_by_idx ON evo_run USING btree (created_by);


--
-- Name: evo_run_evo_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_run_evo_task_id_idx ON evo_run USING btree (evo_task_id);


--
-- Name: evo_run_init_chromosome_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX evo_run_init_chromosome_id_idx ON evo_run USING btree (init_chromosome_id);


--
-- Name: fun_function_parent_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX fun_function_parent_id_idx ON fun_function USING btree (parent_id);


--
-- Name: net_action_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_action_action_series_id_idx ON net_action USING btree (action_series_id);


--
-- Name: net_action_series_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_action_series_created_by_idx ON net_action_series USING btree (created_by);


--
-- Name: net_action_state_distribution_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_action_state_distribution_id_idx ON net_action USING btree (state_distribution_id);


--
-- Name: net_damage_spreading_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_damage_spreading_created_by_idx ON net_damage_spreading USING btree (created_by);


--
-- Name: net_damage_spreading_network_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_damage_spreading_network_id_idx ON net_damage_spreading USING btree (network_id);


--
-- Name: net_damage_spreading_result_stats_seq_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_damage_spreading_result_stats_seq_id_idx ON net_damage_spreading USING btree (result_stats_seq_id);


--
-- Name: net_derrida_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_derrida_created_by_idx ON net_derrida USING btree (created_by);


--
-- Name: net_derrida_network_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_derrida_network_id_idx ON net_derrida USING btree (network_id);


--
-- Name: net_derrida_result_stats_seq_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_derrida_result_stats_seq_id_idx ON net_derrida USING btree (result_stats_seq_id);


--
-- Name: net_evaluation_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_evaluation_created_by_idx ON net_evaluation USING btree (created_by);


--
-- Name: net_evaluation_evaluation_fun_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_evaluation_evaluation_fun_id_idx ON net_evaluation USING btree (evaluation_fun_id);


--
-- Name: net_evaluation_item_eval_fun_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_evaluation_item_eval_fun_id_idx ON net_evaluation_item USING btree (eval_fun_id);


--
-- Name: net_evaluation_item_evaluation_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_evaluation_item_evaluation_id_idx ON net_evaluation_item USING btree (evaluation_id);


--
-- Name: net_evaluation_item_evaluation_var_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_evaluation_item_evaluation_var_id_idx ON net_evaluation_item USING btree (evaluation_var_id);


--
-- Name: net_evaluation_var_evaluation_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_evaluation_var_evaluation_id_idx ON net_evaluation_var USING btree (evaluation_id);


--
-- Name: net_function_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_function_created_by_idx ON net_function USING btree (created_by);


--
-- Name: net_function_function_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_function_function_id_idx ON net_function USING btree (function_id);


--
-- Name: net_function_parent_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_function_parent_id_idx ON net_function USING btree (parent_id);


--
-- Name: net_layer_topology_mapping_layer_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_layer_topology_mapping_layer_id_idx ON net_layer_topology_mapping USING btree (layer_id);


--
-- Name: net_layer_topology_mapping_parent_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_layer_topology_mapping_parent_id_idx ON net_layer_topology_mapping USING btree (parent_id);


--
-- Name: net_network_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_network_created_by_idx ON net_network USING btree (created_by);


--
-- Name: net_network_function_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_network_function_id_idx ON net_network USING btree (function_id);


--
-- Name: net_network_topology_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_network_topology_id_idx ON net_network USING btree (topology_id);


--
-- Name: net_network_weight_setting_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_network_weight_setting_id_idx ON net_network USING btree (weight_setting_id);


--
-- Name: net_performance_action_series_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_performance_action_series_id_idx ON net_performance USING btree (action_series_id);


--
-- Name: net_performance_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_performance_created_by_idx ON net_performance USING btree (created_by);


--
-- Name: net_performance_evaluation_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_performance_evaluation_id_idx ON net_performance USING btree (evaluation_id);


--
-- Name: net_performance_network_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_performance_network_id_idx ON net_performance USING btree (network_id);


--
-- Name: net_performance_result_stats_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_performance_result_stats_id_idx ON net_performance USING btree (result_stats_id);


--
-- Name: net_performance_result_stats_seq_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_performance_result_stats_seq_id_idx ON net_performance USING btree (result_stats_seq_id);


--
-- Name: net_spatial_neighbor_parent_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_spatial_neighbor_parent_id_idx ON net_spatial_neighbor USING btree (parent_id);


--
-- Name: net_spatial_neighborhood_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_spatial_neighborhood_created_by_idx ON net_spatial_neighborhood USING btree (created_by);


--
-- Name: net_spatial_topology_neighborhood_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_spatial_topology_neighborhood_id_idx ON net_spatial_topology USING btree (neighborhood_id);


--
-- Name: net_spatial_topology_topology_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_spatial_topology_topology_id_idx ON net_spatial_topology USING btree (topology_id);


--
-- Name: net_template_topology_topology_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_template_topology_topology_id_idx ON net_template_topology USING btree (topology_id);


--
-- Name: net_topology_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_topology_created_by_idx ON net_topology USING btree (created_by);


--
-- Name: net_weight_setting_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_weight_setting_created_by_idx ON net_weight_setting USING btree (created_by);


--
-- Name: net_weight_setting_parent_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_weight_setting_parent_id_idx ON net_weight_setting USING btree (parent_id);


--
-- Name: net_weight_setting_random_distribution_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX net_weight_setting_random_distribution_id_idx ON net_weight_setting USING btree (random_distribution_id);


--
-- Name: slug_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX slug_idx ON blog_post USING btree (slug);


--
-- Name: task_created_by_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX task_created_by_idx ON task USING btree (created_by);


--
-- Name: task_evo_run_evo_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX task_evo_run_evo_task_id_idx ON task_evo_run USING btree (evo_task_id);


--
-- Name: task_evo_run_task_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX task_evo_run_task_id_idx ON task_evo_run USING btree (task_id);


--
-- Name: um_user_role_mapping_role_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX um_user_role_mapping_role_id_idx ON um_user_role_mapping USING btree (role_id);


--
-- Name: um_user_role_mapping_user_id_idx; Type: INDEX; Schema: public; Owner: coeladmin; Tablespace: 
--

CREATE INDEX um_user_role_mapping_user_id_idx ON um_user_role_mapping USING btree (user_id);


--
-- Name: ac_artificial_chemistry_spec_bound_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry_spec_bound
    ADD CONSTRAINT ac_artificial_chemistry_spec_bound_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: ac_artificial_chemistry_spec_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry_spec
    ADD CONSTRAINT ac_artificial_chemistry_spec_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: ac_evaluated_performance_action_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_performance
    ADD CONSTRAINT ac_evaluated_performance_action_series FOREIGN KEY (action_series_id) REFERENCES ac_action_series(id);


--
-- Name: ac_evaluated_performance_compartment; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_performance
    ADD CONSTRAINT ac_evaluated_performance_compartment FOREIGN KEY (compartment_id) REFERENCES ac_compartment(id);


--
-- Name: ac_evaluated_performance_evaluation; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_performance
    ADD CONSTRAINT ac_evaluated_performance_evaluation FOREIGN KEY (evaluation_id) REFERENCES ac_evaluation(id);


--
-- Name: ac_evaluated_performance_sim_config; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_performance
    ADD CONSTRAINT ac_evaluated_performance_sim_config FOREIGN KEY (simulation_config_id) REFERENCES ac_simulation_config(id);


--
-- Name: ac_evaluated_performance_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_performance
    ADD CONSTRAINT ac_evaluated_performance_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: ac_rate_constant_type_bound_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_rate_constant_type_bound
    ADD CONSTRAINT ac_rate_constant_type_bound_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: ac_simulation_config_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_simulation_config
    ADD CONSTRAINT ac_simulation_config_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: dyn_multi_analysis_result_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_multi_analysis_result
    ADD CONSTRAINT dyn_multi_analysis_result_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: dyn_multi_analysis_spec_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_multi_analysis_spec
    ADD CONSTRAINT dyn_multi_analysis_spec_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: dyn_single_analysis_result_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT dyn_single_analysis_result_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: dyn_single_analysis_spec_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_spec
    ADD CONSTRAINT dyn_single_analysis_spec_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: evo_run_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_run
    ADD CONSTRAINT evo_run_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk2a2bb00970422cc5; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY acl_object_identity
    ADD CONSTRAINT fk2a2bb00970422cc5 FOREIGN KEY (object_id_class) REFERENCES acl_class(id);


--
-- Name: fk2a2bb00990ec1949; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY acl_object_identity
    ADD CONSTRAINT fk2a2bb00990ec1949 FOREIGN KEY (owner_sid) REFERENCES acl_sid(id);


--
-- Name: fk2a2bb009a50290b8; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY acl_object_identity
    ADD CONSTRAINT fk2a2bb009a50290b8 FOREIGN KEY (parent_object) REFERENCES acl_object_identity(id);


--
-- Name: fk5302d47d8fdb88d5; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY acl_entry
    ADD CONSTRAINT fk5302d47d8fdb88d5 FOREIGN KEY (sid) REFERENCES acl_sid(id);


--
-- Name: fk5302d47db0d9dc4d; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY acl_entry
    ADD CONSTRAINT fk5302d47db0d9dc4d FOREIGN KEY (acl_object_identity) REFERENCES acl_object_identity(id);


--
-- Name: fk_ac_action_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_action
    ADD CONSTRAINT fk_ac_action_series FOREIGN KEY (action_series_id) REFERENCES ac_action_series(id);


--
-- Name: fk_ac_action_series_parent; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_action_series
    ADD CONSTRAINT fk_ac_action_series_parent FOREIGN KEY (parent_id) REFERENCES ac_action_series(id);


--
-- Name: fk_ac_action_series_species_set; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_action_series
    ADD CONSTRAINT fk_ac_action_series_species_set FOREIGN KEY (species_set_id) REFERENCES ac_species_set(id);


--
-- Name: fk_ac_action_series_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_action_series
    ADD CONSTRAINT fk_ac_action_series_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_action_var_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_action_var
    ADD CONSTRAINT fk_ac_action_var_series FOREIGN KEY (action_series_id) REFERENCES ac_action_series(id);


--
-- Name: fk_ac_artificial_chemistry_config; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry
    ADD CONSTRAINT fk_ac_artificial_chemistry_config FOREIGN KEY (simulation_config_id) REFERENCES ac_simulation_config(id);


--
-- Name: fk_ac_artificial_chemistry_skin_compartment; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry
    ADD CONSTRAINT fk_ac_artificial_chemistry_skin_compartment FOREIGN KEY (skin_compartment_id) REFERENCES ac_compartment(id);


--
-- Name: fk_ac_artificial_chemistry_spec; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry
    ADD CONSTRAINT fk_ac_artificial_chemistry_spec FOREIGN KEY (generated_by_spec_id) REFERENCES ac_artificial_chemistry_spec(id);


--
-- Name: fk_ac_artificial_chemistry_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry
    ADD CONSTRAINT fk_ac_artificial_chemistry_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_cache_write_action; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_cache_write
    ADD CONSTRAINT fk_ac_cache_write_action FOREIGN KEY (action_id) REFERENCES ac_action(id);


--
-- Name: fk_ac_cache_write_fun; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_cache_write
    ADD CONSTRAINT fk_ac_cache_write_fun FOREIGN KEY (setting_fun_id) REFERENCES fun_function(id);


--
-- Name: fk_ac_cache_write_var; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_cache_write
    ADD CONSTRAINT fk_ac_cache_write_var FOREIGN KEY (variable_id) REFERENCES ac_action_var(id);


--
-- Name: fk_ac_compartment_channel_compartment; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_compartment_channel
    ADD CONSTRAINT fk_ac_compartment_channel_compartment FOREIGN KEY (compartment_id) REFERENCES ac_compartment(id);


--
-- Name: fk_ac_compartment_channel_group_compartment; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_compartment_channel_group
    ADD CONSTRAINT fk_ac_compartment_channel_group_compartment FOREIGN KEY (compartment_id) REFERENCES ac_compartment(id);


--
-- Name: fk_ac_compartment_channel_group_mapping_channel; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_compartment_channel_group_mapping
    ADD CONSTRAINT fk_ac_compartment_channel_group_mapping_channel FOREIGN KEY (channel_id) REFERENCES ac_compartment_channel(id);


--
-- Name: fk_ac_compartment_channel_group_mapping_group; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_compartment_channel_group_mapping
    ADD CONSTRAINT fk_ac_compartment_channel_group_mapping_group FOREIGN KEY (group_id) REFERENCES ac_compartment_channel_group(id);


--
-- Name: fk_ac_compartment_channel_source; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_compartment_channel
    ADD CONSTRAINT fk_ac_compartment_channel_source FOREIGN KEY (source_species_id) REFERENCES ac_species(id);


--
-- Name: fk_ac_compartment_channel_target; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_compartment_channel
    ADD CONSTRAINT fk_ac_compartment_channel_target FOREIGN KEY (target_species_id) REFERENCES ac_species(id);


--
-- Name: fk_ac_compartment_reaction_set; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_compartment
    ADD CONSTRAINT fk_ac_compartment_reaction_set FOREIGN KEY (reaction_set_id) REFERENCES ac_reaction_set(id);


--
-- Name: fk_ac_compartment_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_compartment
    ADD CONSTRAINT fk_ac_compartment_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_evaluated_action_action; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_action
    ADD CONSTRAINT fk_ac_evaluated_action_action FOREIGN KEY (action_id) REFERENCES ac_action(id);


--
-- Name: fk_ac_evaluated_action_eval_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_action
    ADD CONSTRAINT fk_ac_evaluated_action_eval_series FOREIGN KEY (evaluated_action_series_id) REFERENCES ac_evaluated_action_series(id);


--
-- Name: fk_ac_evaluated_action_series_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_action_series
    ADD CONSTRAINT fk_ac_evaluated_action_series_series FOREIGN KEY (action_series_id) REFERENCES ac_action_series(id);


--
-- Name: fk_ac_evaluated_action_series_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_action_series
    ADD CONSTRAINT fk_ac_evaluated_action_series_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_evaluated_run_evaluation; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_run
    ADD CONSTRAINT fk_ac_evaluated_run_evaluation FOREIGN KEY (evaluation_id) REFERENCES ac_evaluation(id);


--
-- Name: fk_ac_evaluated_run_translated_run; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_run
    ADD CONSTRAINT fk_ac_evaluated_run_translated_run FOREIGN KEY (translated_run_id) REFERENCES ac_translated_run(id);


--
-- Name: fk_ac_evaluated_run_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_run
    ADD CONSTRAINT fk_ac_evaluated_run_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_evaluated_species_action_eval_action; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_species_action
    ADD CONSTRAINT fk_ac_evaluated_species_action_eval_action FOREIGN KEY (evaluated_action_id) REFERENCES ac_evaluated_action(id);


--
-- Name: fk_ac_evaluated_species_action_species_action; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluated_species_action
    ADD CONSTRAINT fk_ac_evaluated_species_action_species_action FOREIGN KEY (species_action_id) REFERENCES ac_species_action(id);


--
-- Name: fk_ac_evaluation_fun; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluation
    ADD CONSTRAINT fk_ac_evaluation_fun FOREIGN KEY (evaluation_fun_id) REFERENCES fun_function(id);


--
-- Name: fk_ac_evaluation_trans_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluation
    ADD CONSTRAINT fk_ac_evaluation_trans_series FOREIGN KEY (translation_series_id) REFERENCES ac_translation_series(id);


--
-- Name: fk_ac_evaluation_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_evaluation
    ADD CONSTRAINT fk_ac_evaluation_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_parameter_fun; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_parameter
    ADD CONSTRAINT fk_ac_parameter_fun FOREIGN KEY (evol_function_id) REFERENCES fun_function(id);


--
-- Name: fk_ac_parameter_set; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_parameter
    ADD CONSTRAINT fk_ac_parameter_set FOREIGN KEY (parameter_set_id) REFERENCES ac_parameter_set(id);


--
-- Name: fk_ac_parameter_set_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_parameter_set
    ADD CONSTRAINT fk_ac_parameter_set_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_performance_rate_constant_type_bound_mapping_performance; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_performance_rate_constant_type_bound_mapping
    ADD CONSTRAINT fk_ac_performance_rate_constant_type_bound_mapping_performance FOREIGN KEY (random_rate_performance_id) REFERENCES ac_evaluated_performance(id);


--
-- Name: fk_ac_performance_rate_constant_type_bound_mapping_rate_const; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_performance_rate_constant_type_bound_mapping
    ADD CONSTRAINT fk_ac_performance_rate_constant_type_bound_mapping_rate_const FOREIGN KEY (rate_constant_type_bound_id) REFERENCES ac_rate_constant_type_bound(id);


--
-- Name: fk_ac_range_translation_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_range_translation
    ADD CONSTRAINT fk_ac_range_translation_series FOREIGN KEY (translation_series_id) REFERENCES ac_translation_series(id);


--
-- Name: fk_ac_reaction_forward_rate_fun; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_reaction
    ADD CONSTRAINT fk_ac_reaction_forward_rate_fun FOREIGN KEY (forward_rate_function_id) REFERENCES fun_function(id);


--
-- Name: fk_ac_reaction_group; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_reaction
    ADD CONSTRAINT fk_ac_reaction_group FOREIGN KEY (reaction_group_id) REFERENCES ac_reaction_group(id);


--
-- Name: fk_ac_reaction_group_set; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_reaction_group
    ADD CONSTRAINT fk_ac_reaction_group_set FOREIGN KEY (reaction_set_id) REFERENCES ac_reaction_set(id);


--
-- Name: fk_ac_reaction_reverse_rate_fun; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_reaction
    ADD CONSTRAINT fk_ac_reaction_reverse_rate_fun FOREIGN KEY (reverse_rate_function_id) REFERENCES fun_function(id);


--
-- Name: fk_ac_reaction_set; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_reaction
    ADD CONSTRAINT fk_ac_reaction_set FOREIGN KEY (reaction_set_id) REFERENCES ac_reaction_set(id);


--
-- Name: fk_ac_reaction_set_species_set; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_reaction_set
    ADD CONSTRAINT fk_ac_reaction_set_species_set FOREIGN KEY (species_set_id) REFERENCES ac_species_set(id);


--
-- Name: fk_ac_reaction_set_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_reaction_set
    ADD CONSTRAINT fk_ac_reaction_set_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_run_ac; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_run
    ADD CONSTRAINT fk_ac_run_ac FOREIGN KEY (ac_id) REFERENCES ac_artificial_chemistry(id);


--
-- Name: fk_ac_run_action_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_run
    ADD CONSTRAINT fk_ac_run_action_series FOREIGN KEY (action_series_id) REFERENCES ac_action_series(id);


--
-- Name: fk_ac_run_eval_action_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_run
    ADD CONSTRAINT fk_ac_run_eval_action_series FOREIGN KEY (evaluated_action_series_id) REFERENCES ac_evaluated_action_series(id);


--
-- Name: fk_ac_run_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_run
    ADD CONSTRAINT fk_ac_run_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_species_action_action; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species_action
    ADD CONSTRAINT fk_ac_species_action_action FOREIGN KEY (action_id) REFERENCES ac_action(id);


--
-- Name: fk_ac_species_action_fun; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species_action
    ADD CONSTRAINT fk_ac_species_action_fun FOREIGN KEY (setting_fun_id) REFERENCES fun_function(id);


--
-- Name: fk_ac_species_action_species; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species_action
    ADD CONSTRAINT fk_ac_species_action_species FOREIGN KEY (species_id) REFERENCES ac_species(id);


--
-- Name: fk_ac_species_history_run; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species_history
    ADD CONSTRAINT fk_ac_species_history_run FOREIGN KEY (run_id) REFERENCES ac_run(id);


--
-- Name: fk_ac_species_history_species; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species_history
    ADD CONSTRAINT fk_ac_species_history_species FOREIGN KEY (species_id) REFERENCES ac_species(id);


--
-- Name: fk_ac_species_reaction_assoc_reaction; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species_reaction_association
    ADD CONSTRAINT fk_ac_species_reaction_assoc_reaction FOREIGN KEY (reaction_id) REFERENCES ac_reaction(id);


--
-- Name: fk_ac_species_reaction_assoc_species; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species_reaction_association
    ADD CONSTRAINT fk_ac_species_reaction_assoc_species FOREIGN KEY (species_id) REFERENCES ac_species(id);


--
-- Name: fk_ac_species_set; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species
    ADD CONSTRAINT fk_ac_species_set FOREIGN KEY (species_set_id) REFERENCES ac_species_set(id);


--
-- Name: fk_ac_species_set_parent; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species_set
    ADD CONSTRAINT fk_ac_species_set_parent FOREIGN KEY (parent_set) REFERENCES ac_species_set(id);


--
-- Name: fk_ac_species_set_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_species_set
    ADD CONSTRAINT fk_ac_species_set_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_sub_compartment_association_parent; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_sub_compartment_association
    ADD CONSTRAINT fk_ac_sub_compartment_association_parent FOREIGN KEY (parent_id) REFERENCES ac_compartment(id);


--
-- Name: fk_ac_sub_compartment_association_sub; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_sub_compartment_association
    ADD CONSTRAINT fk_ac_sub_compartment_association_sub FOREIGN KEY (sub_id) REFERENCES ac_compartment(id);


--
-- Name: fk_ac_translated_run_run; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translated_run
    ADD CONSTRAINT fk_ac_translated_run_run FOREIGN KEY (run_id) REFERENCES ac_run(id);


--
-- Name: fk_ac_translated_run_translation_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translated_run
    ADD CONSTRAINT fk_ac_translated_run_translation_series FOREIGN KEY (translation_series_id) REFERENCES ac_translation_series(id);


--
-- Name: fk_ac_translated_run_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translated_run
    ADD CONSTRAINT fk_ac_translated_run_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_translation_item_fun; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translation_item
    ADD CONSTRAINT fk_ac_translation_item_fun FOREIGN KEY (translation_fun_id) REFERENCES fun_function(id);


--
-- Name: fk_ac_translation_item_history_translated_run; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translation_item_history
    ADD CONSTRAINT fk_ac_translation_item_history_translated_run FOREIGN KEY (translated_run_id) REFERENCES ac_translated_run(id);


--
-- Name: fk_ac_translation_item_history_var; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translation_item_history
    ADD CONSTRAINT fk_ac_translation_item_history_var FOREIGN KEY (translation_var_id) REFERENCES ac_translation_var(id);


--
-- Name: fk_ac_translation_item_translation; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translation_item
    ADD CONSTRAINT fk_ac_translation_item_translation FOREIGN KEY (translation_id) REFERENCES ac_range_translation(id);


--
-- Name: fk_ac_translation_item_var; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translation_item
    ADD CONSTRAINT fk_ac_translation_item_var FOREIGN KEY (translation_var_id) REFERENCES ac_translation_var(id);


--
-- Name: fk_ac_translation_series_species_set; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translation_series
    ADD CONSTRAINT fk_ac_translation_series_species_set FOREIGN KEY (species_set_id) REFERENCES ac_species_set(id);


--
-- Name: fk_ac_translation_series_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translation_series
    ADD CONSTRAINT fk_ac_translation_series_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_ac_translation_var_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_translation_var
    ADD CONSTRAINT fk_ac_translation_var_series FOREIGN KEY (translation_series_id) REFERENCES ac_translation_series(id);


--
-- Name: fk_action_series_immutable_species_mapping_action_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_action_series_immutable_species_mapping
    ADD CONSTRAINT fk_action_series_immutable_species_mapping_action_series FOREIGN KEY (action_series_id) REFERENCES ac_action_series(id);


--
-- Name: fk_action_series_immutable_species_mapping_species; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_action_series_immutable_species_mapping
    ADD CONSTRAINT fk_action_series_immutable_species_mapping_species FOREIGN KEY (species_id) REFERENCES ac_species(id);


--
-- Name: fk_artificial_chemistry_spec_influx_rate_dist; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry_spec
    ADD CONSTRAINT fk_artificial_chemistry_spec_influx_rate_dist FOREIGN KEY (influx_rate_constant_distribution_id) REFERENCES fun_random_distribution(id);


--
-- Name: fk_artificial_chemistry_spec_outflux_non_reactive_rate_dist; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry_spec
    ADD CONSTRAINT fk_artificial_chemistry_spec_outflux_non_reactive_rate_dist FOREIGN KEY (outflux_non_reactive_rate_distribution_id) REFERENCES fun_random_distribution(id);


--
-- Name: fk_artificial_chemistry_spec_outflux_rate_dist; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry_spec
    ADD CONSTRAINT fk_artificial_chemistry_spec_outflux_rate_dist FOREIGN KEY (outflux_rate_constant_distribution_id) REFERENCES fun_random_distribution(id);


--
-- Name: fk_artificial_chemistry_spec_partial_binding_dist; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry_spec
    ADD CONSTRAINT fk_artificial_chemistry_spec_partial_binding_dist FOREIGN KEY (upper_strand_partial_binding_distribution_id) REFERENCES fun_random_distribution(id);


--
-- Name: fk_artificial_chemistry_spec_rate_constant_dist; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY ac_artificial_chemistry_spec
    ADD CONSTRAINT fk_artificial_chemistry_spec_rate_constant_dist FOREIGN KEY (rate_constant_distribution_id) REFERENCES fun_random_distribution(id);


--
-- Name: fk_dyn_multi_analysis_result_ac; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_multi_analysis_result
    ADD CONSTRAINT fk_dyn_multi_analysis_result_ac FOREIGN KEY (ac_id) REFERENCES ac_artificial_chemistry(id);


--
-- Name: fk_dyn_multi_analysis_result_spec; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_multi_analysis_result
    ADD CONSTRAINT fk_dyn_multi_analysis_result_spec FOREIGN KEY (spec_id) REFERENCES dyn_multi_analysis_spec(id);


--
-- Name: fk_dyn_multi_analysis_spec_init_dist; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_multi_analysis_spec
    ADD CONSTRAINT fk_dyn_multi_analysis_spec_init_dist FOREIGN KEY (initial_state_distribution_id) REFERENCES fun_random_distribution(id);


--
-- Name: fk_dyn_multi_analysis_spec_single_spec; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_multi_analysis_spec
    ADD CONSTRAINT fk_dyn_multi_analysis_spec_single_spec FOREIGN KEY (single_run_spec_id) REFERENCES dyn_single_analysis_spec(id);


--
-- Name: fk_dyn_single_analysis_result_derrida; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_derrida FOREIGN KEY (derrida_results_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_dyn_single_analysis_result_multi; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_multi FOREIGN KEY (multi_run_result_id) REFERENCES dyn_multi_analysis_result(id);


--
-- Name: fk_dyn_single_analysis_result_spat_cor; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_spat_cor FOREIGN KEY (spatial_correlations_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_dyn_single_analysis_result_spat_cum_diff; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_spat_cum_diff FOREIGN KEY (spatial_cumulative_diff_per_time_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_dyn_single_analysis_result_spat_nonline_errors; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_spat_nonline_errors FOREIGN KEY (spatial_nonlinearity_errors_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_dyn_single_analysis_result_spat_stat_point; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_spat_stat_point FOREIGN KEY (spatial_stationary_points_per_time_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_dyn_single_analysis_result_time_cor; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_time_cor FOREIGN KEY (time_correlations_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_dyn_single_analysis_result_time_cum_diff; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_time_cum_diff FOREIGN KEY (time_cumulative_diff_per_time_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_dyn_single_analysis_result_time_nonline_errors; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_time_nonline_errors FOREIGN KEY (time_nonlinearity_errors_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_dyn_single_analysis_result_time_stat_point; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_single_analysis_result
    ADD CONSTRAINT fk_dyn_single_analysis_result_time_stat_point FOREIGN KEY (time_stationary_points_per_time_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_dyn_stats_seq; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY dyn_stats
    ADD CONSTRAINT fk_dyn_stats_seq FOREIGN KEY (seq_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_evo_ac_interaction_variable_assignment_bound_evo_task; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_interaction_variable_assignment_bound
    ADD CONSTRAINT fk_evo_ac_interaction_variable_assignment_bound_evo_task FOREIGN KEY (evo_task_id) REFERENCES evo_ac_task(id);


--
-- Name: fk_evo_ac_interaction_variable_assignment_mapping_assignment; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_interaction_variable_assignment_mapping
    ADD CONSTRAINT fk_evo_ac_interaction_variable_assignment_mapping_assignment FOREIGN KEY (variable_assignment_id) REFERENCES ac_cache_write(id);


--
-- Name: fk_evo_ac_interaction_variable_assignment_mapping_bound; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_interaction_variable_assignment_mapping
    ADD CONSTRAINT fk_evo_ac_interaction_variable_assignment_mapping_bound FOREIGN KEY (evo_ac_variable_bound_id) REFERENCES evo_ac_interaction_variable_assignment_bound(id);


--
-- Name: fk_evo_ac_species_assignment_bound_evo_task; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_species_assignment_bound
    ADD CONSTRAINT fk_evo_ac_species_assignment_bound_evo_task FOREIGN KEY (evo_task_id) REFERENCES evo_ac_task(id);


--
-- Name: fk_evo_ac_species_assignment_mapping_assignment; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_species_assignment_mapping
    ADD CONSTRAINT fk_evo_ac_species_assignment_mapping_assignment FOREIGN KEY (species_assignment_id) REFERENCES ac_species_action(id);


--
-- Name: fk_evo_ac_species_assignment_mapping_bound; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_species_assignment_mapping
    ADD CONSTRAINT fk_evo_ac_species_assignment_mapping_bound FOREIGN KEY (evo_ac_species_bound_id) REFERENCES evo_ac_species_assignment_bound(id);


--
-- Name: fk_evo_ac_task_action_series_mapping_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task_action_series_mapping
    ADD CONSTRAINT fk_evo_ac_task_action_series_mapping_series FOREIGN KEY (action_series_id) REFERENCES ac_action_series(id) ON DELETE CASCADE;


--
-- Name: fk_evo_ac_task_action_series_mapping_task; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task_action_series_mapping
    ADD CONSTRAINT fk_evo_ac_task_action_series_mapping_task FOREIGN KEY (evo_ac_task_id) REFERENCES evo_ac_task(id) ON DELETE CASCADE;


--
-- Name: fk_evo_ac_task_analysis_spec; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT fk_evo_ac_task_analysis_spec FOREIGN KEY (multi_run_analysis_spec_id) REFERENCES dyn_multi_analysis_spec(id);


--
-- Name: fk_evo_ac_task_ga_ac; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT fk_evo_ac_task_ga_ac FOREIGN KEY (ac_id) REFERENCES ac_artificial_chemistry(id);


--
-- Name: fk_evo_ac_task_ga_evaluation; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT fk_evo_ac_task_ga_evaluation FOREIGN KEY (ac_evaluation_id) REFERENCES ac_evaluation(id);


--
-- Name: fk_evo_ac_task_ga_set; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT fk_evo_ac_task_ga_set FOREIGN KEY (ga_setting_id) REFERENCES evo_ga_setting(id);


--
-- Name: fk_evo_ac_task_network; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT fk_evo_ac_task_network FOREIGN KEY (network_id) REFERENCES net_network(id);


--
-- Name: fk_evo_ac_task_network_evaluation; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT fk_evo_ac_task_network_evaluation FOREIGN KEY (network_evaluation_id) REFERENCES net_evaluation(id);


--
-- Name: fk_evo_ac_task_rate_constant_type_bound_mapping_evo_task; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task_rate_constant_type_bound_mapping
    ADD CONSTRAINT fk_evo_ac_task_rate_constant_type_bound_mapping_evo_task FOREIGN KEY (evo_ac_task_id) REFERENCES evo_ac_task(id);


--
-- Name: fk_evo_ac_task_rate_constant_type_bound_mapping_rate_const; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task_rate_constant_type_bound_mapping
    ADD CONSTRAINT fk_evo_ac_task_rate_constant_type_bound_mapping_rate_const FOREIGN KEY (rate_constant_type_bound_id) REFERENCES ac_rate_constant_type_bound(id);


--
-- Name: fk_evo_ac_task_reaction_group_mapping_evo_task; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task_reaction_group_mapping
    ADD CONSTRAINT fk_evo_ac_task_reaction_group_mapping_evo_task FOREIGN KEY (evo_ac_task_id) REFERENCES evo_ac_task(id);


--
-- Name: fk_evo_ac_task_reaction_group_mapping_reaction_group; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task_reaction_group_mapping
    ADD CONSTRAINT fk_evo_ac_task_reaction_group_mapping_reaction_group FOREIGN KEY (reaction_group_id) REFERENCES ac_reaction_group(id);


--
-- Name: fk_evo_ac_task_reaction_mapping_evo_task; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task_reaction_mapping
    ADD CONSTRAINT fk_evo_ac_task_reaction_mapping_evo_task FOREIGN KEY (evo_ac_task_id) REFERENCES evo_ac_task(id);


--
-- Name: fk_evo_ac_task_reaction_mapping_reaction; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task_reaction_mapping
    ADD CONSTRAINT fk_evo_ac_task_reaction_mapping_reaction FOREIGN KEY (reaction_id) REFERENCES ac_reaction(id);


--
-- Name: fk_evo_ac_task_sim_config; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT fk_evo_ac_task_sim_config FOREIGN KEY (sim_config_id) REFERENCES ac_simulation_config(id);


--
-- Name: fk_evo_ac_task_spec_bound; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT fk_evo_ac_task_spec_bound FOREIGN KEY (spec_bound_id) REFERENCES ac_artificial_chemistry_spec_bound(id);


--
-- Name: fk_evo_ac_task_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ac_task
    ADD CONSTRAINT fk_evo_ac_task_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_evo_chromosome_population; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_chromosome
    ADD CONSTRAINT fk_evo_chromosome_population FOREIGN KEY (population_id) REFERENCES evo_population(id);


--
-- Name: fk_evo_ga_setting_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_ga_setting
    ADD CONSTRAINT fk_evo_ga_setting_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_evo_net_task_action_series_mapping_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_net_task_action_series_mapping
    ADD CONSTRAINT fk_evo_net_task_action_series_mapping_series FOREIGN KEY (action_series_id) REFERENCES net_action_series(id) ON DELETE CASCADE;


--
-- Name: fk_evo_net_task_action_series_mapping_task; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_net_task_action_series_mapping
    ADD CONSTRAINT fk_evo_net_task_action_series_mapping_task FOREIGN KEY (evo_task_id) REFERENCES evo_ac_task(id) ON DELETE CASCADE;


--
-- Name: fk_evo_population_best_chromosome; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_population
    ADD CONSTRAINT fk_evo_population_best_chromosome FOREIGN KEY (best_chromosome_id) REFERENCES evo_chromosome(id);


--
-- Name: fk_evo_population_run; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_population
    ADD CONSTRAINT fk_evo_population_run FOREIGN KEY (evo_run_id) REFERENCES evo_run(id);


--
-- Name: fk_evo_run_init_chrom; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_run
    ADD CONSTRAINT fk_evo_run_init_chrom FOREIGN KEY (init_chromosome_id) REFERENCES evo_chromosome(id);


--
-- Name: fk_evo_run_task; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY evo_run
    ADD CONSTRAINT fk_evo_run_task FOREIGN KEY (evo_task_id) REFERENCES evo_ac_task(id);


--
-- Name: fk_fun_expression_fun; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY fun_expression
    ADD CONSTRAINT fk_fun_expression_fun FOREIGN KEY (id) REFERENCES fun_function(id);


--
-- Name: fk_fun_function_parent; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY fun_function
    ADD CONSTRAINT fk_fun_function_parent FOREIGN KEY (parent_id) REFERENCES fun_function(id);


--
-- Name: fk_fun_transition_table_fun; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY fun_transition_table
    ADD CONSTRAINT fk_fun_transition_table_fun FOREIGN KEY (id) REFERENCES fun_function(id);


--
-- Name: fk_net_action_random_distribution; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_action
    ADD CONSTRAINT fk_net_action_random_distribution FOREIGN KEY (state_distribution_id) REFERENCES fun_random_distribution(id);


--
-- Name: fk_net_action_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_action
    ADD CONSTRAINT fk_net_action_series FOREIGN KEY (action_series_id) REFERENCES net_action_series(id);


--
-- Name: fk_net_action_series_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_action_series
    ADD CONSTRAINT fk_net_action_series_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_net_damage_spreading_network; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_damage_spreading
    ADD CONSTRAINT fk_net_damage_spreading_network FOREIGN KEY (network_id) REFERENCES net_network(id);


--
-- Name: fk_net_damage_spreading_stats_seq; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_damage_spreading
    ADD CONSTRAINT fk_net_damage_spreading_stats_seq FOREIGN KEY (result_stats_seq_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_net_damage_spreading_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_damage_spreading
    ADD CONSTRAINT fk_net_damage_spreading_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_net_derrida_network; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_derrida
    ADD CONSTRAINT fk_net_derrida_network FOREIGN KEY (network_id) REFERENCES net_network(id);


--
-- Name: fk_net_derrida_stats_seq; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_derrida
    ADD CONSTRAINT fk_net_derrida_stats_seq FOREIGN KEY (result_stats_seq_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_net_derrida_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_derrida
    ADD CONSTRAINT fk_net_derrida_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_net_evaluation_function; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_evaluation
    ADD CONSTRAINT fk_net_evaluation_function FOREIGN KEY (evaluation_fun_id) REFERENCES fun_function(id);


--
-- Name: fk_net_evaluation_item_evaluation; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_evaluation_item
    ADD CONSTRAINT fk_net_evaluation_item_evaluation FOREIGN KEY (evaluation_id) REFERENCES net_evaluation(id);


--
-- Name: fk_net_evaluation_item_function; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_evaluation_item
    ADD CONSTRAINT fk_net_evaluation_item_function FOREIGN KEY (eval_fun_id) REFERENCES fun_function(id);


--
-- Name: fk_net_evaluation_item_var; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_evaluation_item
    ADD CONSTRAINT fk_net_evaluation_item_var FOREIGN KEY (evaluation_var_id) REFERENCES net_evaluation_var(id);


--
-- Name: fk_net_evaluation_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_evaluation
    ADD CONSTRAINT fk_net_evaluation_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_net_evaluation_var_evaluation; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_evaluation_var
    ADD CONSTRAINT fk_net_evaluation_var_evaluation FOREIGN KEY (evaluation_id) REFERENCES net_evaluation(id);


--
-- Name: fk_net_function_function; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_function
    ADD CONSTRAINT fk_net_function_function FOREIGN KEY (function_id) REFERENCES fun_function(id);


--
-- Name: fk_net_function_parent; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_function
    ADD CONSTRAINT fk_net_function_parent FOREIGN KEY (parent_id) REFERENCES net_function(id);


--
-- Name: fk_net_function_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_function
    ADD CONSTRAINT fk_net_function_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_net_layer_topology_mapping_layer; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_layer_topology_mapping
    ADD CONSTRAINT fk_net_layer_topology_mapping_layer FOREIGN KEY (layer_id) REFERENCES net_topology(id) ON DELETE CASCADE;


--
-- Name: fk_net_layer_topology_mapping_parent; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_layer_topology_mapping
    ADD CONSTRAINT fk_net_layer_topology_mapping_parent FOREIGN KEY (parent_id) REFERENCES net_topology(id) ON DELETE CASCADE;


--
-- Name: fk_net_network_function; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_network
    ADD CONSTRAINT fk_net_network_function FOREIGN KEY (function_id) REFERENCES net_function(id) ON DELETE CASCADE;


--
-- Name: fk_net_network_topology; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_network
    ADD CONSTRAINT fk_net_network_topology FOREIGN KEY (topology_id) REFERENCES net_topology(id) ON DELETE CASCADE;


--
-- Name: fk_net_network_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_network
    ADD CONSTRAINT fk_net_network_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_net_network_weight_setting; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_network
    ADD CONSTRAINT fk_net_network_weight_setting FOREIGN KEY (weight_setting_id) REFERENCES net_weight_setting(id) ON DELETE CASCADE;


--
-- Name: fk_net_performance_action_series; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_performance
    ADD CONSTRAINT fk_net_performance_action_series FOREIGN KEY (action_series_id) REFERENCES net_action_series(id);


--
-- Name: fk_net_performance_evaluation; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_performance
    ADD CONSTRAINT fk_net_performance_evaluation FOREIGN KEY (evaluation_id) REFERENCES net_evaluation(id);


--
-- Name: fk_net_performance_network; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_performance
    ADD CONSTRAINT fk_net_performance_network FOREIGN KEY (network_id) REFERENCES net_network(id);


--
-- Name: fk_net_performance_stats; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_performance
    ADD CONSTRAINT fk_net_performance_stats FOREIGN KEY (result_stats_id) REFERENCES dyn_stats(id);


--
-- Name: fk_net_performance_stats_seq; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_performance
    ADD CONSTRAINT fk_net_performance_stats_seq FOREIGN KEY (result_stats_seq_id) REFERENCES dyn_stats_seq(id);


--
-- Name: fk_net_performance_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_performance
    ADD CONSTRAINT fk_net_performance_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_net_spatial_neighbor_parent; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_spatial_neighbor
    ADD CONSTRAINT fk_net_spatial_neighbor_parent FOREIGN KEY (parent_id) REFERENCES net_spatial_neighborhood(id) ON DELETE CASCADE;


--
-- Name: fk_net_spatial_neighborhood_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_spatial_neighborhood
    ADD CONSTRAINT fk_net_spatial_neighborhood_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_net_spatial_topology_base; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_spatial_topology
    ADD CONSTRAINT fk_net_spatial_topology_base FOREIGN KEY (topology_id) REFERENCES net_topology(id) ON DELETE CASCADE;


--
-- Name: fk_net_spatial_topology_neighborhood; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_spatial_topology
    ADD CONSTRAINT fk_net_spatial_topology_neighborhood FOREIGN KEY (neighborhood_id) REFERENCES net_spatial_neighborhood(id);


--
-- Name: fk_net_template_topology_base; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_template_topology
    ADD CONSTRAINT fk_net_template_topology_base FOREIGN KEY (topology_id) REFERENCES net_topology(id) ON DELETE CASCADE;


--
-- Name: fk_net_topology_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_topology
    ADD CONSTRAINT fk_net_topology_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_net_weight_setting_parent; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_weight_setting
    ADD CONSTRAINT fk_net_weight_setting_parent FOREIGN KEY (parent_id) REFERENCES net_weight_setting(id) ON DELETE CASCADE;


--
-- Name: fk_net_weight_setting_random_distribution; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_weight_setting
    ADD CONSTRAINT fk_net_weight_setting_random_distribution FOREIGN KEY (random_distribution_id) REFERENCES fun_random_distribution(id);


--
-- Name: fk_net_weight_setting_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY net_weight_setting
    ADD CONSTRAINT fk_net_weight_setting_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: fk_task_evo_run_evo_task; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY task_evo_run
    ADD CONSTRAINT fk_task_evo_run_evo_task FOREIGN KEY (evo_task_id) REFERENCES evo_ac_task(id);


--
-- Name: fk_task_evo_run_super; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY task_evo_run
    ADD CONSTRAINT fk_task_evo_run_super FOREIGN KEY (task_id) REFERENCES task(id);


--
-- Name: fk_um_user_role_mapping_role; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY um_user_role_mapping
    ADD CONSTRAINT fk_um_user_role_mapping_role FOREIGN KEY (role_id) REFERENCES um_role(id) ON DELETE CASCADE;


--
-- Name: fk_um_user_role_mapping_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY um_user_role_mapping
    ADD CONSTRAINT fk_um_user_role_mapping_user FOREIGN KEY (user_id) REFERENCES um_user(id) ON DELETE CASCADE;


--
-- Name: task_user; Type: FK CONSTRAINT; Schema: public; Owner: coeladmin
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_user FOREIGN KEY (created_by) REFERENCES um_user(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

